package cn.haliaeetus.sendmessage;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
//@SpringCloudApplication
@SpringBootApplication
@EnableAspectJAutoProxy(proxyTargetClass = true)
@EnableAsync
public class SendmessageApplication {

    public static void main(String[] args) {
        SpringApplication.run(SendmessageApplication.class, args);
    }

    @RequestMapping("/dispatch")
    public String dispatch() {
        System.out.println("方法体------->");
        return "holle world";
    }
}
