package cn.haliaeetus.sendmessage.bean;

import cn.haliaeetus.sendmessage.framework.entity.baseEntity.BaseEntity;
import cn.haliaeetus.sendmessage.framework.toolkit.Jsoned;
import com.google.gson.JsonObject;

import java.util.Date;

public class WhiteList extends BaseEntity implements Jsoned {
    private Integer id;

    private Integer storeid;

    private String username;

    private String usermobile;

    private String address;

    private String remark;

    private Date createtime;

    private Boolean isdel;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getStoreid() {
        return storeid;
    }

    public void setStoreid(Integer storeid) {
        this.storeid = storeid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUsermobile() {
        return usermobile;
    }

    public void setUsermobile(String usermobile) {
        this.usermobile = usermobile;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Boolean getIsdel() {
        return isdel;
    }

    public void setIsdel(Boolean isdel) {
        this.isdel = isdel;
    }

	@Override
	public JsonObject toJson() {
		JsonObject jsonObject = new JsonObject();
        jsonObject.addProperty("id", id);
        jsonObject.addProperty("storeid", storeid);
        jsonObject.addProperty("username", username);
        jsonObject.addProperty("usermobile", usermobile);
        jsonObject.addProperty("address", address);
        jsonObject.addProperty("remark", remark);
        return jsonObject;
	}
}