package cn.haliaeetus.sendmessage.bean.basedata;

import cn.haliaeetus.sendmessage.framework.toolkit.Jsoned;
import com.google.gson.JsonObject;

import java.io.Serializable;

/**
 * Created by Administrator on 2015/5/26.
 */
public class City implements Jsoned, Serializable {

    /**
	 * serialVersionUID
	 */
	private static final long serialVersionUID = 3298638577983088362L;

	public long id;

    public String name;

    public long provinceId;

    public String code;

    public long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(long provinceId) {
        this.provinceId = provinceId;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public JsonObject toJson() {
        JsonObject jsonObject = new JsonObject();
        jsonObject.addProperty("id",id);
        jsonObject.addProperty("name",name);
        jsonObject.addProperty("province_id",provinceId);
        jsonObject.addProperty("code",code);
        return jsonObject;
    }
}
