package cn.haliaeetus.sendmessage.bean.basedata;

import cn.haliaeetus.sendmessage.framework.entity.baseEntity.BaseEntity;

import java.util.Date;

public class Store extends BaseEntity {

	private static final long serialVersionUID = -850831288241015922L;
	
	private String name;
	private String shortName;
	private String owner;
	private String phone;
	private String takeExpressPhone;
	private int provinceId;
	private String provinceName;
	private long cityId;
	private String cityName;
	private long areaId;
	private String areaName;
	private Integer townshipId;
	private String township;
	private int collegeId;
	private String collegeName;
	private String address;
	private String shortAddress;
	private Date createTime;
	private String receiveIds;
	private String dispatchIds;
	private int isP2p;
	private int operate_type;//0加盟/1合作直营/2自建直营/3校企合作  
	private Date updateTime;
	private String startTime;
	private String endTime;
	private int status;
	private String isPrinter;
	private String longitude; // 经度
	private String latitude; // 纬度

	private String appid;
	private String appsecret;
	private String msgtempid;
	private String signtempid;
	private String domain;
	private String opendoor;
	private String sendexpress;
	private String advertisingUrl;
	private String advertisingMsg;
	private String yjmsgtempid;
	private Integer auditStatus;
	private Boolean isOpenSignBack=false;
	/**
	 * 快递id对应详细地址
	 */
	private String expIdAddress;
	private String backupPhone;

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getShortName() {
		return shortName;
	}
	
	public void setShortName(String shortName) {
		this.shortName = shortName;
	}
	public String getOwner() {
		return owner;
	}
	public void setOwner(String owner) {
		this.owner = owner;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getTakeExpressPhone() {
		return takeExpressPhone;
	}
	public void setTakeExpressPhone(String takeExpressPhone) {
		this.takeExpressPhone = takeExpressPhone;
	}
	public int getProvinceId() {
		return provinceId;
	}
	public void setProvinceId(int provinceId) {
		this.provinceId = provinceId;
	}
	public String getProvinceName() {
		return provinceName;
	}
	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}
	public long getCityId() {
		return cityId;
	}
	public void setCityId(long cityId) {
		this.cityId = cityId;
	}
	public String getCityName() {
		return cityName;
	}
	public void setCityName(String cityName) {
		this.cityName = cityName;
	}
	public long getAreaId() {
		return areaId;
	}
	public void setAreaId(long areaId) {
		this.areaId = areaId;
	}
	public String getAreaName() {
		return areaName;
	}
	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}
	public int getCollegeId() {
		return collegeId;
	}
	public void setCollegeId(int collegeId) {
		this.collegeId = collegeId;
	}
	public String getCollegeName() {
		return collegeName;
	}
	public void setCollegeName(String collegeName) {
		this.collegeName = collegeName;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getShortAddress() {
		return shortAddress;
	}
	public void setShortAddress(String shortAddress) {
		this.shortAddress = shortAddress;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	public String getReceiveIds() {
		return receiveIds;
	}
	public void setReceiveIds(String receiveIds) {
		this.receiveIds = receiveIds;
	}
	public String getDispatchIds() {
		return dispatchIds;
	}
	public void setDispatchIds(String dispatchIds) {
		this.dispatchIds = dispatchIds;
	}
	public int getIsP2p() {
		return isP2p;
	}
	public void setIsP2p(int isP2p) {
		this.isP2p = isP2p;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public int getOperate_type() {
		return operate_type;
	}
	public void setOperate_type(int operate_type) {
		this.operate_type = operate_type;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public String getIsPrinter() {
		return isPrinter;
	}
	public void setIsPrinter(String isPrinter) {
		this.isPrinter = isPrinter;
	}
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getAppsecret() {
		return appsecret;
	}

	public void setAppsecret(String appsecret) {
		this.appsecret = appsecret;
	}


	public String getMsgtempid() {
		return msgtempid;
	}

	public void setMsgtempid(String msgtempid) {
		this.msgtempid = msgtempid;
	}

	public String getSigntempid() {
		return signtempid;
	}

	public void setSigntempid(String signtempid) {
		this.signtempid = signtempid;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getOpendoor() {
		return opendoor;
	}

	public void setOpendoor(String opendoor) {
		this.opendoor = opendoor;
	}

	public String getSendexpress() {
		return sendexpress;
	}

	public void setSendexpress(String sendexpress) {
		this.sendexpress = sendexpress;
	}

	public String getAdvertisingUrl() {return advertisingUrl;}

	public void setAdvertisingUrl(String advertisingUrl) {this.advertisingUrl = advertisingUrl;}

	public String getAdvertisingMsg() {return advertisingMsg;}

	public void setAdvertisingMsg(String advertisingMsg) {this.advertisingMsg = advertisingMsg;}

	public String getYjmsgtempid() {
		return yjmsgtempid;
	}

	public void setYjmsgtempid(String yjmsgtempid) {
		this.yjmsgtempid = yjmsgtempid;
	}

	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

    public Boolean getIsOpenSignBack() {
        return isOpenSignBack;
    }

    public void setIsOpenSignBack(Boolean openSignBack) {
        isOpenSignBack = openSignBack;
    }

	public String getExpIdAddress() {
		return expIdAddress;
	}

	public void setExpIdAddress(String expIdAddress) {
		this.expIdAddress = expIdAddress;
	}
	
	public String getBackupPhone() {
		return backupPhone;
	}

	public void setBackupPhone(String backupPhone) {
		this.backupPhone = backupPhone;
	}

	public Integer getTownshipId() {
		return townshipId;
	}

	public void setTownshipId(Integer townshipId) {
		this.townshipId = townshipId;
	}

	public String getTownship() {
		return township;
	}

	public void setTownship(String township) {
		this.township = township;
	}
}
