package cn.haliaeetus.sendmessage.bean.basedata;

import cn.haliaeetus.sendmessage.framework.entity.baseEntity.BaseEntity;
import cn.haliaeetus.sendmessage.framework.toolkit.Jsoned;
import com.google.gson.JsonObject;

import java.util.Date;

public class StoreShelf extends BaseEntity implements Jsoned {

    private static final long serialVersionUID = 1L;

    private Integer storeId;

    private String shelfName;

    private Date time;

    private String barCode;

    private Integer isdel;
    
    private String shelfAddress;
    
    private String shelfTelephone;

    private Integer shelfCount;

    public Integer getShelfCount() {
        return shelfCount;
    }

    public void setShelfCount(Integer shelfCount) {
        this.shelfCount = shelfCount;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Integer getIsdel() {
        return isdel;
    }

    public void setIsdel(Integer isdel) {
        this.isdel = isdel;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getShelfName() {
        return shelfName;
    }

    public void setShelfName(String shelfName) {
        this.shelfName = shelfName;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public String getShelfAddress() {
		return shelfAddress;
	}

	public void setShelfAddress(String shelfAddress) {
		this.shelfAddress = shelfAddress;
	}

	public String getShelfTelephone() {
		return shelfTelephone;
	}

	public void setShelfTelephone(String shelfTelephone) {
		this.shelfTelephone = shelfTelephone;
	}

	@Override
    public JsonObject toJson() {
        JsonObject jsonObject = new JsonObject();
        jsonObject.addProperty("id", id);
        jsonObject.addProperty("shelfName", shelfName);
        jsonObject.addProperty("barcode", barCode);
        return jsonObject;
    }

}