package cn.haliaeetus.sendmessage.bean.basedata;

import cn.haliaeetus.sendmessage.framework.entity.baseEntity.BaseEntity;
import cn.haliaeetus.sendmessage.utils.Role;
import cn.haliaeetus.sendmessage.validate.groups.SendSms;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;

public class User extends BaseEntity {
    /**
	 * 
	 */
	private static final long serialVersionUID = -9153289009200964658L;

	@NotEmpty(message = "用户账号不能为空", groups = SendSms.class)
	private String userId;

    private String userName;

    private String password;

    private Integer storeId;

    private String shortAddress;

    private String telPhone;

    private Integer push15;

    private Integer push10;

    private Integer codeType;
    
    private Integer smsSendType;

    private String storePwd;

    private String webVersion;

    private Integer containsShelf;

    private Integer status;
    
    private Integer isSmsFree;
    
    private BigDecimal smsPrice;

    private BigDecimal smsBalance;

    private Integer signFlag;//0代表入库时生成签收，1代表出库时生成签收

	private String phoneLogo;

	private BigDecimal ocrPrice;

	private Integer isOcrFree;

	private Double vigilance;

	private String comSign;

	private String rights;

	private String role_id;
	private String skin;
	private Role role;
	private int donateRate;
	private String siduanma;
	//2019/1/10新加邮箱
	private String userMail;
	//短信发生方式
	private int reminder;

	public int getReminder() {
		return reminder;
	}

	public void setReminder(int reminder) {
		this.reminder = reminder;
	}

	public String getUserMail() {
		return userMail;
	}

	public void setUserMail(String userMail) {
		this.userMail = userMail;
	}

	public String getSystemType() {
		return systemType;
	}

	public void setSystemType(String systemType) {
		this.systemType = systemType;
	}

	private String systemType;

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }


    public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getStoreId() {
		return storeId;
	}

	public void setStoreId(Integer storeId) {
		this.storeId = storeId;
	}


    public Integer getPush15() {
        return push15;
    }

    public void setPush15(Integer push15) {
        this.push15 = push15;
    }

    public Integer getPush10() {
        return push10;
    }

    public void setPush10(Integer push10) {
        this.push10 = push10;
    }

    public Integer getCodeType() {
        return codeType;
    }

    public void setCodeType(Integer codeType) {
        this.codeType = codeType;
    }

	public Integer getSmsSendType() {
		return smsSendType;
	}

	public void setSmsSendType(Integer smsSendType) {
		this.smsSendType = smsSendType;
	}

	public String getShortAddress() {
		return shortAddress;
	}

	public void setShortAddress(String shortAddress) {
		this.shortAddress = shortAddress;
	}

	public String getTelPhone() {
		return telPhone;
	}

	public void setTelPhone(String telPhone) {
		this.telPhone = telPhone;
	}

	public String getStorePwd() {
		return storePwd;
	}

	public void setStorePwd(String storePwd) {
		this.storePwd = storePwd;
	}

	public String getWebVersion() {
		return webVersion;
	}

	public void setWebVersion(String webVersion) {
		this.webVersion = webVersion;
	}

	public Integer getContainsShelf() {
		return containsShelf;
	}

	public void setContainsShelf(Integer containsShelf) {
		this.containsShelf = containsShelf;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getIsSmsFree() {
		return isSmsFree;
	}

	public void setIsSmsFree(Integer isSmsFree) {
		this.isSmsFree = isSmsFree;
	}

	public BigDecimal getSmsPrice() {
		return smsPrice;
	}

	public void setSmsPrice(BigDecimal smsPrice) {
		this.smsPrice = smsPrice;
	}

	public BigDecimal getSmsBalance() {
		return smsBalance;
	}

	public void setSmsBalance(BigDecimal smsBalance) {
		this.smsBalance = smsBalance;
	}

	public Integer getSignFlag() {
		return signFlag;
	}

	public void setSignFlag(Integer signFlag) {
		this.signFlag = signFlag;
	}

	public String getPhoneLogo() {
		return phoneLogo;
	}

	public void setPhoneLogo(String phoneLogo) {
		this.phoneLogo = phoneLogo;
	}

	public BigDecimal getOcrPrice() {
		return ocrPrice;
	}

	public void setOcrPrice(BigDecimal ocrPrice) {
		this.ocrPrice = ocrPrice;
	}

	public Integer getIsOcrFree() {
		return isOcrFree;
	}

	public void setIsOcrFree(Integer isOcrFree) {
		this.isOcrFree = isOcrFree;
	}

	public Double getVigilance() {
		return vigilance;
	}

	public void setVigilance(Double vigilance) {
		this.vigilance = vigilance;
	}

	public String getComSign() {
		return comSign;
	}

	public void setComSign(String comSign) {
		this.comSign = comSign;
	}

	public String getRights() {
		return rights;
	}

	public void setRights(String rights) {
		this.rights = rights;
	}

	public String getRole_id() {
		return role_id;
	}

	public void setRole_id(String role_id) {
		this.role_id = role_id;
	}

	public String getSkin() {
		return skin;
	}

	public void setSkin(String skin) {
		this.skin = skin;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}


	public int getDonateRate() {
		return donateRate;
	}

	public void setDonateRate(int donateRate) {
		this.donateRate = donateRate;
	}

	public String getSiduanma() {
		return siduanma;
	}

	public void setSiduanma(String siduanma) {
		this.siduanma = siduanma;
	}

	@Override
	public String toString() {
		return "User [userId=" + userId + ", userName=" + userName + ", password=" + password + ", storeId=" + storeId
				+ ", shortAddress=" + shortAddress + ", telPhone=" + telPhone + ", push15=" + push15 + ", push10="
				+ push10 + ", codeType=" + codeType + ", smsSendType=" + smsSendType + ", storePwd=" + storePwd
				+ ", webVersion=" + webVersion + ", containsShelf=" + containsShelf + ", status=" + status 
				+ ", isSmsFree=" + isSmsFree +", smsPrice=" + smsPrice + ", smsBalance=" + smsBalance +  ", signFlag=" + signFlag +", phoneLogo=" + phoneLogo
				+ ", isOcrFree=" + isOcrFree +", ocrPrice=" + ocrPrice + ", vigilance=" + vigilance +", comSign=" + comSign  +", systemType=" + systemType
				+", rights=" + rights +", role_id=" + role_id +", skin=" + skin +", role=" + role +", donateRate=" + donateRate +", siduanma=" + siduanma +"]";
	}
}