package cn.haliaeetus.sendmessage.bean.cainiao;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Administrator
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CaiNiaoRequest {
    /**
     * 消息类型(必填)
     */
    private String msg_type;
    /**
     * 来源CP编号(资源code)(必填)
     */
    private String logistic_provider_id;
    /**
     * 请求签名(必填)
     */
    private String data_digest;
    /**
     * 目的方编码（可选，如不填使用该msg_type默认目的方）(非必填)
     */
    private String to_code;
    /**
     * 请求报文内容(必填)
     */
    private String logistics_interface;

    private String url;
}
