package cn.haliaeetus.sendmessage.bean.cainiao;

import lombok.Builder;
import lombok.Data;

/**
 * 菜鸟发送短信请求<br>
 *
 * @className: CaiNiaoSendSmsRequest
 * @package: cn.haliaeetus.sendmessage.bean.cainiao
 * @author: kael
 * @date: 2019/11/29 0029 上午 9:27
 */
@Data
@Builder
public class CaiNiaoSendSmsRequest {

    /**
     * mailNo : 13000000000
     * cpCode : STO
     * extend : extend
     * smsParam : smsParam
     * smsCode : smsCode
     * bizExtend : {         "a":"b"     }
     * smsSign : smsSign
     */

    private String mailNo;
    private String cpCode;
    private String extend;
    private String smsParam;
    private String smsCode;
    private String bizExtend;
    private String smsSign;
}
