package cn.haliaeetus.sendmessage.bean.cainiao;

import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * @PackageName: cn.haliaeetus.sendmessage.bean.cainiao
 * @ClassName: CaiNiaoWaybillQuery
 * @Description: TODO
 * @Author: liujs
 * @Date: 2020/02/21 下午 16:21
 * @Version: 1.0
 */
@Data
@Builder
public class CaiNiaoWaybillQuery {
    /**
     * 电子面单扩展信息查询接口请求参数
     * 电子面单号(必填)
     */
    private String waybillNo;
    /**
     * 电子面单扩展信息查询接口请求参数
     * 站点编码，但是不填写则返回结果没有isSensitiveConsumer字段的值(非必填)
     */
    private String stationCode;
    /**
     * 猜面单接口请求参数
     * 调用来源名称
     */
    private String appName;
    /**
     * 猜面单接口请求参数
     * 运单号
     */
    private String mailNo;
    /**
     * 跟踪信息回传接口请求参数
     * 物流公司编号
     */
    private String logisticProviderID;
    /**
     * 跟踪信息
     */
    private List<Trace> traces;
    /**
     * 跟踪信息
     */
    private List<TraceElement> tracesList;
}
