//package cn.haliaeetus.sendmessage.bean.delivery;
//
//import cn.haliaeetus.sendmessage.bean.basedata.User;
//import cn.haliaeetus.sendmessage.constants.Constants;
//import cn.haliaeetus.sendmessage.framework.log.Logger;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.PostConstruct;
//import java.math.BigDecimal;
//import java.util.HashMap;
//import java.util.Map;
//import java.util.Set;
//
//
//@Component
//public class DeliveryMsgSenderPool {
//    private static final Logger LOG = Logger.getInstance(DeliveryMsgSenderPool.class);
//
//    @Autowired
//    private DeliverySMSSender smsSender;
//
//    @Autowired
//    private DeliveryWeixinSender weixinSender;
//
//    private Map<Integer, DeliveryMsgSender> senders = new HashMap<>();
//
//    @PostConstruct
//    private void initSenders() {
//        senders.put(Constants.MSG_TYPE_SMS, smsSender);
//        senders.put(Constants.MSG_TYPE_WEIXIN, weixinSender);
//        LOG.record("Initialize delivery msg senders finish.");
//    }
//
//    /**
//     * 获取信息发送类型
//     */
//    public Set<Integer> getMsgTypes() {
//        return senders.keySet();
//    }
//
//    /**
//     * 发送信息
//     */
//    public int send(int msgType, Delivery delivery, String bussCode, int msgChannel, String msg, BigDecimal smsPrice, User user,String string) {
//        return senders.get(msgType).send(delivery, bussCode, msgChannel, msg, smsPrice,user,string);
//    }
//
//    public int send(User user, int msgType, Delivery delivery, String bussCode, int msgChannel, String msg, BigDecimal smsPrice) throws Exception {
//        return senders.get(msgType).send(user,delivery, bussCode, msgChannel, msg, smsPrice);
//    }
//}