package cn.haliaeetus.sendmessage.bean.dto;

import cn.haliaeetus.sendmessage.bean.basedata.ExpressType;
import cn.haliaeetus.sendmessage.bean.basedata.StoreShelf;
import cn.haliaeetus.sendmessage.bean.delivery.DeliveryScanBatch;
import cn.haliaeetus.sendmessage.framework.toolkit.PagedList;

import java.util.List;

/**
 * 查询模块页面返回对象集合
 * PagedList<DeliveryDto>,List<ExpressType> expressTypes,List<StoreShelf> storeShelfs 
 * @author liutianyuan
 *
 */
public class QueryPageDto {

	private PagedList<DeliveryDto> pageList;
	private List<ExpressType> expressTypes;
	private List<StoreShelf> storeShelfs ;
	private PagedList<DeliveryScanBatch> pageScanBantchList;

	public PagedList<DeliveryDto> getPageList() {
		return pageList;
	}
	public void setPageList(PagedList<DeliveryDto> pageList) {
		this.pageList = pageList;
	}

	public PagedList<DeliveryScanBatch> getPageScanBantchList() {
		return pageScanBantchList;
	}

	public void setPageScanBantchList(PagedList<DeliveryScanBatch> pageScanBantchList) {
		this.pageScanBantchList = pageScanBantchList;
	}

	public List<ExpressType> getExpressTypes() {
		return expressTypes;
	}
	public void setExpressTypes(List<ExpressType> expressTypes) {
		this.expressTypes = expressTypes;
	}
	public List<StoreShelf> getStoreShelfs() {
		return storeShelfs;
	}
	public void setStoreShelfs(List<StoreShelf> storeShelfs) {
		this.storeShelfs = storeShelfs;
	}
	
	
}
