package cn.haliaeetus.sendmessage.bean.dto;

import cn.haliaeetus.sendmessage.bean.MqBean;
import cn.haliaeetus.sendmessage.bean.basedata.SignBackSwitchBean;
import cn.haliaeetus.sendmessage.bean.basedata.Store;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName SignBackDto
 * @Description TODO
 * @Author Administrator
 * @Date 2019/8/6 0006 下午 16:11
 * @Version 1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SignBackDto extends MqBean {
    private Integer expId;
    private String expCode;
    private String telPhone;
    private Store store;
    private String actionType;
    private String shelfId;
    private String shelfCode;
    private SignBackSwitchBean expressSignBean;
    private SignBackSwitchBean jhySignBean;
    private String platform;

    public static final class Builder {
        private Integer expId;
        private String expCode;
        private String telPhone;
        private Store store;
        private String actionType;
        private String shelfId;
        private String shelfCode;
        private SignBackSwitchBean expressSignBean;
        private SignBackSwitchBean jhySignBean;
        private String platform;

        public Builder() {
        }

        public static Builder aSignBackDto() {
            return new Builder();
        }

        public Builder setExpId(Integer expId) {
            this.expId = expId;
            return this;
        }

        public Builder setExpCode(String expCode) {
            this.expCode = expCode;
            return this;
        }

        public Builder setTelPhone(String telPhone) {
            this.telPhone = telPhone;
            return this;
        }

        public Builder setStore(Store store) {
            this.store = store;
            return this;
        }

        public Builder setActionType(String actionType) {
            this.actionType = actionType;
            return this;
        }

        public Builder setShelfId(String shelfId) {
            this.shelfId = shelfId;
            return this;
        }

        public Builder setShelfCode(String shelfCode) {
            this.shelfCode = shelfCode;
            return this;
        }

        public Builder setExpressSignBean(SignBackSwitchBean expressSignBean) {
            this.expressSignBean = expressSignBean;
            return this;
        }

        public Builder setJhySignBean(SignBackSwitchBean jhySignBean) {
            this.jhySignBean = jhySignBean;
            return this;
        }

        public Builder setPlatform(String platform) {
            this.platform = platform;
            return this;
        }

        public SignBackDto build() {
            SignBackDto signBackDto = new SignBackDto();
            signBackDto.store = this.store;
            signBackDto.expId = this.expId;
            signBackDto.expressSignBean = this.expressSignBean;
            signBackDto.jhySignBean = this.jhySignBean;
            signBackDto.shelfId = this.shelfId;
            signBackDto.expCode = this.expCode;
            signBackDto.actionType = this.actionType;
            signBackDto.telPhone = this.telPhone;
            signBackDto.shelfCode = this.shelfCode;
            signBackDto.platform = this.platform;
            return signBackDto;
        }
    }
}
