package cn.haliaeetus.sendmessage.bean.express.common;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @PackageName: cn.haliaeetus.sendmessage.bean.express.common
 * @ClassName: ExpressResponseBean
 * @Author: LiuJS
 * @Description: 快递接口响应参数
 * @Date: 2020/8/5 17:14
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExpressResponseBean {
    /**
     * 响应结果详情
     */
    private Object result;

    /**
     * 接口调用描述
     * 示例："代理点创建成功"
     */
    private String message;

    /**
     * 是否成功
     */
    private boolean status;

    /**
     * 状态码
     */
    private String statusCode;
}
