package cn.haliaeetus.sendmessage.bean.express.shentong;

import lombok.Builder;
import lombok.Data;

/**
 * @author liujs
 * @desc 申通物流信息回传接口实体类
 */
@Data
@Builder
public class ShenTongDeliveryCallbackBean {
    /**
     * 快递网点编号
     */
    private String siteCode;
    /**
     * 投递的快递员编号
     */
    private String userCode;
    /**
     * 快递单号
     */
    private String ticketNo;
    /**
     * 完成时间戳（毫秒）
     */
    private long completeTimestamp;
    /**
     * 状态码
     * STA_INBOUND:入库  STA_SIGN:签收  STA_MAILMAN_PICKUP:快递员取出  STA_BUYER_REJECT:客户拒收
     */
    private String status;
}
