package cn.haliaeetus.sendmessage.bean.express.shentong;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author liujs
 * @desc 申通末端驿站列表实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShenTongOpreationEndpointListBean {
    /**
     * 页码，大于等于1（必填）
     * 示例：1
     */
    private Integer pageNum;
    /**
     * 每页记录数，大于等于1小于100（必填）
     * 示例：20
     */
    private Integer pageSize;
    /**
     * 国家标准省编号（非必填）
     * 示例：110000
     */
    private String provinceCode;
    /**
     * 国家标准市编号（非必填）
     * 示例：110100
     */
    private String cityCode;
    /**
     * 国家标准区/县编号（非必填）
     * 示例：110101
     */
    private String areaCode;
    /**
     * 状态：100-启用，200-停用（非必填）
     * 示例：100
     */
    private Integer status;
}
