package cn.haliaeetus.sendmessage.bean.express.yuantong;

import lombok.Data;

/**
 * @ClassName YTOCabinetInfo
 * @Description
 * @Author SunJJ
 * @Date 2021/3/9 16:26
 * @Version V1.0
 **/
@Data
public class YTOCabinetInfo {
    /**
     *  20
     *  是
     *  圆通终端编码, 修改信息时必传
     */
    private String stationCode;
    /**
     * 11  是
     * 终端品牌编码(提供)
     * )
     */
    private String customerCode;
    /**
     * 20
     * 是
     * 终端编号
     */
    private String cabinetCode;
    /**
     * 50
     * 是
     * 终端名称
     */
    private String cabinetName;
    /**
     * 50
     * 是
     * 终端所属省份
     */
    private String cabinetBelongProv;
    /**
     * 50
     * 是
     * 终端所属城市
     */
    private String cabinetBelongCity;
    /**
     * 50
     * 是
     * 终端所属区县
     */
    private String cabinetBelongCounty;
    /**
     * 50  是终端所属乡镇/
     * 街
     * 道
     */
    private String cabinetBelongTowns;
    /**
     * 200
     * 是
     * 终端详细地址
     */
    private String cabinetAddress;
    /**
     * 20
     * 是
     * 负责人
     */
    private String employee;
    /**
     * 20
     * 是
     * 负责人电话
     */
    private String empPhone;
    /**
     * 20
     * 是
     * 客服电话
     */
    private String customerPhone;
    /**
     * 20
     * 否
     * 终端规格
     */
    private String cabinetSpec;
    /**
     * 20  是终端类型(YZ/ZTG)
     * )
     */
    private String deviceType;
    /**
     * 50
     * 否
     * 终端第三方合作商
     */
    private String devicePartner;
}
