package cn.haliaeetus.sendmessage.bean.jhy;

import lombok.Data;

/**
 * @ClassName JhyPhoneStateRequest
 * @Description TODO
 * @Author kael
 * @Date 2019/8/6 0006 下午 15:45
 * @Version 1.0
 **/
@Data
public class JhyPhoneStateRequest {
    private String waybill_num;
    private String pickup_phone;
    private String pickup_state = "1";
    private String express_id;

    public static final class Builder {
        private String waybill_num;
        private String pickup_phone;
        private String pickup_state = "1";
        private String express_id;

        public Builder() {
        }

        public static Builder aJhyPhoneStateRequest() {
            return new Builder();
        }

        public Builder setWaybill_num(String waybill_num) {
            this.waybill_num = waybill_num;
            return this;
        }

        public Builder setPickup_phone(String pickup_phone) {
            this.pickup_phone = pickup_phone;
            return this;
        }

        public Builder setPickup_state(String pickup_state) {
            this.pickup_state = pickup_state;
            return this;
        }

        public Builder setExpress_id(String express_id) {
            this.express_id = express_id;
            return this;
        }

        public JhyPhoneStateRequest build() {
            JhyPhoneStateRequest jhyPhoneStateRequest = new JhyPhoneStateRequest();
            jhyPhoneStateRequest.pickup_state = this.pickup_state;
            jhyPhoneStateRequest.waybill_num = this.waybill_num;
            jhyPhoneStateRequest.pickup_phone = this.pickup_phone;
            jhyPhoneStateRequest.express_id = this.express_id;
            return jhyPhoneStateRequest;
        }
    }
}
