package cn.haliaeetus.sendmessage.bean.mengwang;

import lombok.Data;

/**
 * @PackageName: com.bs.logisticslnfoapi.bean.smsplatform.mengwang
 * @ClassName: MengWangSmsStatusBean
 * @Description: TODO
 * @Author: liujs
 * @Date: 2020/05/20 下午 15:17
 * @Version: 1.0
 */
@Data
public class MengWangSmsStatusBean {

    /**
     * 平台流水号：对应下行请求返回结果中的msgid
     * 示例：9223372036854775808
     * 注意：msgid允许出现负数
     */
    private String msgid;
    /**
     * 用户自定义流水号：对应下行请求时填写的custid
     * 示例：b3d0a2783d31b21b8573
     */
    private String custid;
    /**
     * 当前条数
     */
    private int pknum;
    /**
     * 总条数
     */
    private int pktotal;
    /**
     * 电话号码
     */
    private String mobile;
    /**
     * 完整的通道号
     * 示例：955337890
     */
    private String spno;
    /**
     * 下行时填写的exno
     * 示例：7890
     */
    private String exno;
    /**
     * 状态报告对应的下行发送时间：
     * YYYY-MM-DD HH:MM:SS
     * 示例：2016-08-04 17:38:59
     */
    private String stime;
    /**
     * 状态报告返回时间：
     * YYYY-MM-DD HH:MM:SS
     * 示例：2016-08-04 17:39:01
     */
    private String rtime;
    /**
     * 接收状态：
     * 0：成功
     * 非0：失败
     */
    private int status;
    /**
     * 状态报告错误代码
     * 示例：DELIVRD
     */
    private String errcode;
    /**
     * 状态报告错误代码的描述
     * 示例：success或 fail
     */
    private String errdesc;
    /**
     * 下行时填写的exdata
     */
    private String exdata;
    /**
     * 数据库存储需要的字段
     */
    private String createTime;

}
