package cn.haliaeetus.sendmessage.bean.sms;

import cn.haliaeetus.sendmessage.framework.entity.baseEntity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

public class SmsPurchaseRecord extends BaseEntity {

	private static final long serialVersionUID = -1306143886035406026L;

	private String recordId;
	private Date optTime;
	private BigDecimal amount;
	private int smsNumber;
	private int payWay;//1支付宝2微信
	private String operator;
	private String outTradeNo;//商户订单号
	private String tradeNo;//支付宝或微信交易号
	private int payStatus; //1已经付款，0待付款
    private int storeId;

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public Date getOptTime() {
        return optTime;
    }

    public void setOptTime(Date optTime) {
        this.optTime = optTime;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public int getSmsNumber() {
        return smsNumber;
    }

    public void setSmsNumber(int smsNumber) {
        this.smsNumber = smsNumber;
    }

    public int getPayWay() {
        return payWay;
    }

    public void setPayWay(int payWay) {
        this.payWay = payWay;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOutTradeNo() {
        return outTradeNo;
    }

    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public int getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(int payStatus) {
        this.payStatus = payStatus;
    }

    public int getStoreId() {
        return storeId;
    }

    public void setStoreId(int storeId) {
        this.storeId = storeId;
    }
}

