package cn.haliaeetus.sendmessage.bean.sms;

import cn.haliaeetus.sendmessage.framework.entity.baseEntity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

public class SmsRecord extends BaseEntity {
	private static final long serialVersionUID = -1306143886035406026L;

    private Integer storeid;
    
    private Integer deliveryid;

    private int expid;

    private String expcode;

    private String bussCode; // 短信业务代码

    private String content;

    private String telphone;

    private String ismgid;

    private Integer status; // 状态 0:已发送, 1:成功, 2:失败

    private Date createtime;

    private Date finishtime;
    
    private String resultInfo;
    
    private BigDecimal smsPrice;

    private Integer smsCount;

    private String wxResultInfo;

    private Integer sendSuccessType; //'1.短信发送渠道 2.微信发送渠道 3.短信,微信都发送渠道'

    private String wxSendContent;//微信公众号推送的消息

    private Long smsSendUsedTime;//短信发送用时(毫秒)

    private Long wxSendUsedTime;//微信发送用时(毫秒)

    public String getStoreCode() {
		return "xm" + String.format("%05d", storeid);
	}

	public String getResultInfo() {
		return resultInfo;
	}

	public void setResultInfo(String resultInfo) {
		this.resultInfo = resultInfo;
	}

	public Integer getDeliveryid() {
        return deliveryid;
    }

    public void setDeliveryid(Integer deliveryid) {
        this.deliveryid = deliveryid;
    }

    public int getExpid() {
        return expid;
    }

    public void setExpid(int expid) {
        this.expid = expid;
    }

    public String getExpcode() {
        return expcode;
    }

    public void setExpcode(String expcode) {
        this.expcode = expcode;
    }

    public Integer getStoreid() {
        return storeid;
    }

    public void setStoreid(Integer storeid) {
        this.storeid = storeid;
    }

    public String getBussCode() {
        return bussCode;
    }

    public void setBussCode(String bussCode) {
        this.bussCode = bussCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    public String getIsmgid() {
        return ismgid;
    }

    public void setIsmgid(String ismgid) {
        this.ismgid = ismgid;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getFinishtime() {
        return finishtime;
    }

    public void setFinishtime(Date finishtime) {
        this.finishtime = finishtime;
    }

	public BigDecimal getSmsPrice() {
		return smsPrice;
	}

	public void setSmsPrice(BigDecimal smsPrice) {
		this.smsPrice = smsPrice;
	}

    public Integer getSmsCount() {
        return smsCount;
    }

    public void setSmsCount(Integer smsCount) {
        this.smsCount = smsCount;
    }

    public String getWxResultInfo() {
        return wxResultInfo;
    }

    public void setWxResultInfo(String wxResultInfo) {
        this.wxResultInfo = wxResultInfo;
    }

    public Integer getSendSuccessType() {
        return sendSuccessType;
    }

    public void setSendSuccessType(Integer sendSuccessType) {
        this.sendSuccessType = sendSuccessType;
    }

    public String getWxSendContent() {
        return wxSendContent;
    }

    public void setWxSendContent(String wxSendContent) {
        this.wxSendContent = wxSendContent;
    }

    public Long getSmsSendUsedTime() {
        return smsSendUsedTime;
    }

    public void setSmsSendUsedTime(Long smsSendUsedTime) {
        this.smsSendUsedTime = smsSendUsedTime;
    }

    public Long getWxSendUsedTime() {
        return wxSendUsedTime;
    }

    public void setWxSendUsedTime(Long wxSendUsedTime) {
        this.wxSendUsedTime = wxSendUsedTime;
    }
}