package cn.haliaeetus.sendmessage.controller;


import cn.haliaeetus.sendmessage.bean.delivery.Delivery;
import cn.haliaeetus.sendmessage.bean.sms.SmsRecord;
import cn.haliaeetus.sendmessage.bean.wx.WuXiResultEntity;
import cn.haliaeetus.sendmessage.bean.wx.WuXiSmsReqEntity;
import cn.haliaeetus.sendmessage.dao.SmsRecordDao;
import cn.haliaeetus.sendmessage.service.BasicInfoService;
import cn.haliaeetus.sendmessage.service.DeliveryService;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by Administrator on 2018/5/15.
 */
@Controller
@RequestMapping(value = "/wuxiSms")
public class UpdateSmsRecordController {

    @Autowired
    private SmsRecordDao smsRecordDao;

    @Autowired
    private DeliveryService deliveryService;

    @Autowired
    private BasicInfoService basicInfoService;

    @RequestMapping(value = "/updateSmsRecord")
    @ResponseBody
    public int updateSmsRecord(HttpServletRequest request) throws Exception {
        System.out.println("++++++++++++++++++++++++++++回调开始");
        InputStream inputStream = request.getInputStream();
        BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream));
        String line = null;
        StringBuilder sb = new StringBuilder();
        try {
            while ((line = reader.readLine()) != null) {
//                sb.append(line + "/n");
                sb.append(line);
            }
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                inputStream.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        try {
            System.out.println("++++++++++++++++++++++++++++sb"+sb.toString());
            WuXiSmsReqEntity entity = JSON.parseObject(sb.toString(), new TypeReference<WuXiSmsReqEntity>() {
            });
            int i = 0;
            Integer storeId = null;

            if (entity != null && entity.getResult().size() > 0) {
                for (WuXiResultEntity resultEntity : entity.getResult()) {
                    String status = "2";
                    if ("DELIVRD".equals(resultEntity.getStatus())) {
                        status = "1";
                    }
                    System.out.println("++++++++++++++++++++++++++++回调id"+resultEntity.getMsgid());
                    i = i + smsRecordDao.updateSmsRecord(resultEntity.getPhone(), resultEntity.getStatus(), "WX" + resultEntity.getMsgid(), status,resultEntity.getDonetime());
                    SmsRecord smsRecord = smsRecordDao.getSmsRecordByMsgid("WX" + resultEntity.getMsgid());
                    if(smsRecord != null){
                        Delivery delivery = new Delivery();
                        delivery.setStoreId(smsRecord.getStoreid());
                        delivery.setId(smsRecord.getDeliveryid());
                        delivery.setResultInfo(resultEntity.getStatus());
                        delivery.setSmsStatus(Integer.parseInt(status));
                        smsRecordDao.updateSmsStatusById(delivery);

                        /*//kael-20191016-如果wx短信发送失败那么就启用备用短信平台重新发送短信
                        if("2".equals(status)){
                            List<Integer> ids = new ArrayList<>();
                            ids.add(smsRecord.getDeliveryid());
                            deliveryService.resendSms(smsRecord.getStoreid(),ids,basicInfoService.getConfigurationByCode("spareSmsPlatform").getOValue1());
                        }*/
                    }
                }
            }
            return 0;
        }catch (Exception e){
            e.getStackTrace();
            return 1;
        }
    }

}
