package cn.haliaeetus.sendmessage.controller.web.QueryCondition;

/**
 * 查询条件基础类
 * @author liutianyuan
 *
 */
public class BaseQueryCondition {
	private int storeId;//门店ID，用于分表
	
	private int p; //当前页
	private int pageSize = 0;//每页显示数量
	private int begin = 0;//分页查询参数
	
	private String orderField;//排序字段
	private String order = "asc";//默认升序
	
	private int isdel = 0;
	private int id;
	
	private String subSql;//特殊查询语句
	
	public BaseQueryCondition(int storeId){
		this.storeId = storeId;
	}
	
	
	public int getStoreId() {
		return storeId;
	}
	public void setStoreId(int storeId) {
		this.storeId = storeId;
	}
	public int getP() {
		return p;
	}
	public void setP(int p) {
		this.p = p;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public int getBegin() {
		return begin;
	}
	public void setBegin(int begin) {
		this.begin = begin;
	}
	public String getOrderField() {
		return orderField;
	}
	public void setOrderField(String orderField) {
		this.orderField = orderField;
	}
	public String getOrder() {
		return order;
	}
	public void setOrder(String order) {
		this.order = order;
	}
	public int getIsdel() {
		return isdel;
	}
	public void setIsdel(int isdel) {
		this.isdel = isdel;
	}


	public int getId() {
		return id;
	}


	public void setId(int id) {
		this.id = id;
	}


	public String getSubSql() {
		return subSql;
	}


	public void setSubSql(String subSql) {
		this.subSql = subSql;
	}
	
	
	
}
