package cn.haliaeetus.sendmessage.dao;

import cn.haliaeetus.sendmessage.bean.basedata.FjUser;
import cn.haliaeetus.sendmessage.framework.base.digt.Md5Util;
import cn.haliaeetus.sendmessage.framework.mybatis.persistence.BaseMybatisDAO;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by Administrator on 2015/4/16.
 */
@Repository
public class FjUserDao extends BaseMybatisDAO {
	private static final String MAPPER_NAMESPACE = "cn.haliaeetus.sendmessage.dao.mapper.FjUserMapper";

    public FjUser getByValidate(final String userId, final String password) {
        Map<String, Object> params = new HashMap<String, Object>();
        params.put("userId", userId);
        params.put("password", Md5Util.md5AsLowerHex(password));
        return findOne(MAPPER_NAMESPACE + ".getByValidate", params);
    }
	
	public FjUser getFjUserById(String userId) {
		Map<String, Object> params = new HashMap<String, Object>();
		params.put("userId", userId);
		return findOne(MAPPER_NAMESPACE + ".getFjUserById", params);
	}

	public void save(FjUser fjUser) {
		save(MAPPER_NAMESPACE + ".insert",fjUser);
	}
}
