package cn.haliaeetus.sendmessage.dao;

import cn.haliaeetus.sendmessage.bean.dto.PhoneLibDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PhoneLibDao
 * @Description
 * @Author SunJJ
 * @Date 2020/4/27 10:49
 * @Version V1.0
 **/
@Mapper
public interface PhoneLibDao {
    void insert(List<PhoneLibDto> phoneLibDtos);

    int countByStoreIdAndPhone(@Param("storeId") int storeId, @Param("phones") String phones);

    int consigneeInfoCount(@Param("storeId") int storeId, @Param("phones") String phones);

    void insertConsigneeInfo(@Param("phoneLibDto") PhoneLibDto phoneLibDto);

    int getAreaId(@Param("storeId") int storeId);
}
