package cn.haliaeetus.sendmessage.dao;

import cn.haliaeetus.sendmessage.bean.basedata.User;
import cn.haliaeetus.sendmessage.bean.config.PlatformConfig;
import cn.haliaeetus.sendmessage.controller.web.QueryCondition.UserQueryCondition;
import cn.haliaeetus.sendmessage.framework.mybatis.persistence.BaseMybatisDAO;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 平台配置
 * 
 * @author liutianyuan
 *
 */
@Repository
public class PlatformConfigDao extends BaseMybatisDAO {
	private static final String MAPPER_NAMESPACE = "cn.haliaeetus.sendmessage.dao.mapper.PlatformConfigMapper";

	/**
	 * 通过平台查询配置信息
	 * 
	 * @return
	 */
	public PlatformConfig getByPlatform(String platform) {
		return findOne(MAPPER_NAMESPACE + ".getByPlatform",platform);
	}
}
