package cn.haliaeetus.sendmessage.framework.factory.platform;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @ClassName PlatformFactory
 * @Description 简单工厂，只需简单工厂即可实现
 * @Author kael
 * @Date 2019/8/28 0028 下午 15:47
 * @Version 1.0
 **/
@Component
public class PlatformFactory {

    @Autowired
    private Map<String, BasePlatform> context = new ConcurrentHashMap<>();

    public BasePlatform getPlatform(String platform){
        if(platform == null){
            return null;
        }
        return this.context.get(platform);
    }
}
