/**
 * @FileName: Condition.java
 * @Package cn.haliaeetus.framework.common.search
 * 
 * @author warship
 * @created 2013年11月9日 下午11:08:01
 * 
 * Copyright 2013-2050 佰颂物联 版权所有
 */
package cn.haliaeetus.sendmessage.framework.mybatis.search;

import java.io.Serializable;

/**
 * <p>查询条件</p>
 * 
 * @author warship
 * @since 1.0
 * @version 1.0
 */
public class Condition implements Serializable {

	private static final long serialVersionUID = -5355773325400152119L;
	
	/**
	 * 参数名称
	 */
	private String name;

	/**
	 * 参数比较类型
	 */
	private int operateType;
	
	/**
	 * 参数值
	 */
	private Object value;
	
	public Condition() {
	}
	
	public Condition(String name, Object value) {
		this.name = name;
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getOperateType() {
		return operateType;
	}

	public void setOperateType(int operateType) {
		this.operateType = operateType;
	}

	public Object getValue() {
		return value;
	}

	public void setValue(Object value) {
		this.value = value;
	}
}