/**
 * @FileName: MultiCondition.java
 * @Package cn.haliaeetus.framework.common.search
 * 
 * @author warship
 * @created 2013年11月9日 下午11:36:16
 * 
 * Copyright 2013-2050 佰颂物联 版权所有
 */
package cn.haliaeetus.sendmessage.framework.mybatis.search;

/**
 * <p>双查询条件</p>
 * 
 * @author warship
 * @since 1.0
 * @version 1.0
 */
public class MultiCondition extends Condition {

	private static final long serialVersionUID = 7614588135425305685L;
	
	/**
	 * 第二个参数比较类型
	 */
	private int operateType2;
	
	/**
	 * 第二个参数值
	 */
	private Object value2;

	/**
	 * @return the operator2
	 */
	public int getOperateType2() {
		return operateType2;
	}

	/**
	 * @param operator2 the operator2 to set
	 */
	public void setOperateType2(int operateType2) {
		this.operateType2 = operateType2;
	}

	/**
	 * @return the value2
	 */
	public Object getValue2() {
		return value2;
	}

	/**
	 * @param value2 the value2 to set
	 */
	public void setValue2(Object value2) {
		this.value2 = value2;
	}

}
