package cn.haliaeetus.sendmessage.framework.sms.entity.kuaibao;

import org.apache.commons.lang3.StringUtils;


public enum ExpressConvertEnum {
	
	EXP_ZT("zt", 187),
	EXP_STO("sto", 205),
	EXP_YD("yd", 17),
	EXP_YT("yt", 202),
	EXP_HT("ht", 223),
	EXP_QF("qf", 134),
	EXP_TT("tt", 206),
	EXP_SF("sf", 18);
	
	private String brand;
	private int expressId;
	
	private ExpressConvertEnum(String code, int expressId) {
		this.brand = code;
		this.expressId = expressId;
	}
	
	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public int getExpressId() {
		return expressId;
	}

	public void setExpressId(int expressId) {
		this.expressId = expressId;
	}

	public static String of(int expressId) {
		 for (ExpressConvertEnum expressConvertEnum : ExpressConvertEnum.values()) {
		     if (expressConvertEnum.getExpressId() == expressId)
		        return expressConvertEnum.getBrand();
		 }
		 return StringUtils.EMPTY;
   }
}
