package cn.haliaeetus.sendmessage.framework.sms.entity.kuaige;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 快鸽发送短信响应信息Response
 * @author guolz
 *
 */
@XmlRootElement(name="returnsms")
@XmlAccessorType(XmlAccessType.FIELD)
public class KGOverageQueryResponse {

	/** 返回状态值：成功返回 Success 失败返回：Faild */
	@XmlElement(name="returnstatus")
	private String returnStatus;
	
	/** 返回信息提示 */
	@XmlElement(name="message")
	private String message;
	
	/** 返回支付方式  后付费，预付费 */
	@XmlElement(name="payinfo")
	private String payinfo;
	
	/** 返回已发送条数 */
	@XmlElement(name="overage")
	private String overage;
	
	/** 返回总点数  当支付方式为预付费是返回总充值点数 */
	@XmlElement(name="sendTotal")
	private String sendTotal;

	public String getReturnStatus() {
		return returnStatus;
	}

	public void setReturnStatus(String returnStatus) {
		this.returnStatus = returnStatus;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getPayinfo() {
		return payinfo;
	}

	public void setPayinfo(String payinfo) {
		this.payinfo = payinfo;
	}

	public String getOverage() {
		return overage;
	}

	public void setOverage(String overage) {
		this.overage = overage;
	}

	public String getSendTotal() {
		return sendTotal;
	}

	public void setSendTotal(String sendTotal) {
		this.sendTotal = sendTotal;
	}
}
