package cn.haliaeetus.sendmessage.framework.sms.entity.kuaige;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

/**
 * 快鸽发送短信响应信息Response
 * @author guolz
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class KGReportStatus {
	
	/** 对应的手机号码 */
	@XmlElement(name="mobile")
	private String mobile;
	
	/** 某次提交任务的 ID */
	@XmlElement(name="taskid")
	private String taskId;
	
	/** 状态报告----10 表示发送成功，20 表示发送失败  */
	@XmlElement(name="status")
	private String status;
	
	/** 接收时间 */
	@XmlElement(name="receivetime")
	private String receiveTime;
	
	/** 错误码 */
	@XmlElement(name="errorcode")
	private String errorCode;
	
	/** extno */
	@XmlElement(name="extno")
	private String extNo;

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(String receiveTime) {
		this.receiveTime = receiveTime;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}

	public String getExtNo() {
		return extNo;
	}

	public void setExtNo(String extNo) {
		this.extNo = extNo;
	}
}
