package cn.haliaeetus.sendmessage.framework.sms.entity.kuaige;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 快鸽发送短信响应信息Response
 * @author guolz
 *
 */
@XmlRootElement(name="returnsms")
@XmlAccessorType(XmlAccessType.FIELD)
public class KGSendSMSResponse {

	/** 返回状态值：成功返回 Success 失败返回：Faild */
	@XmlElement(name="returnstatus")
	private String returnStatus;
	
	/** 返回信息提示 */
	@XmlElement(name="message")
	private String message;
	
	/** 返回余额 */
	@XmlElement(name="remainpoint")
	private String remainPoint;
	
	/** 返回本次任务的序列 ID */
	@XmlElement(name="taskID")
	private String taskId;
	
	/** 成功短信数：当成功后返回提交成功短信数 */
	@XmlElement(name="successCounts")
	private String successCounts;

	public String getReturnStatus() {
		return returnStatus;
	}

	public void setReturnStatus(String returnStatus) {
		this.returnStatus = returnStatus;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getRemainPoint() {
		return remainPoint;
	}

	public void setRemainPoint(String remainPoint) {
		this.remainPoint = remainPoint;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getSuccessCounts() {
		return successCounts;
	}

	public void setSuccessCounts(String successCounts) {
		this.successCounts = successCounts;
	}
}
