package cn.haliaeetus.sendmessage.jobs;

import cn.haliaeetus.sendmessage.controller.util.APIConfig;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class DBUtil {

	
	private static DataSource hisDataSource;
	
	private static DataSource hisDataSourceWeb;

	public static Connection getJisuConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getJDBCURL(),
				APIConfig.getJDBCUserName(), APIConfig.getJDBCPassword());
	}
	
	public static Connection getGaiaConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getSTATJDBCURL(), 
				APIConfig.getSTATJDBCUserName(), APIConfig.getSTATJDBCPassword());
	}

	public static Connection getGaiaStatConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getRsyncJDBCURL(),
				APIConfig.getRsyncJDBCUserName(), APIConfig.getRsyncJDBCPassword());
	}


	public static Connection getJisuFileConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getJDBCURL(), 
				APIConfig.getJDBCUserName(), APIConfig.getJDBCPassword());
//		return hisDataSource.getConnection();
	}
	
	public static Connection getWebFileConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection("jdbc:mysql://127.0.0.1:3306/haliaeetus_web?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull", 
			"root", "root");
//		return hisDataSourceWeb.getConnection();
	}
	
	public static Connection getJisuSlaveConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getJDBCURL(), 
				APIConfig.getJDBCUserName(), APIConfig.getJDBCPassword());
	}
	
	public static Connection getJisuTestConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getJDBCURL(), 
				APIConfig.getJDBCUserName(), APIConfig.getJDBCPassword());
	}

	public static void setHisDataSource(DataSource hisDataSource) {
		DBUtil.hisDataSource = hisDataSource;
	}
	public static void setHisDataSourceWeb(DataSource hisDataSourceWeb) {
		DBUtil.hisDataSourceWeb = hisDataSourceWeb;
	}

	public static Connection getFhmConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getFhmJDBCURL(),
				APIConfig.getFhmJDBCUserName(), APIConfig.getFhmJDBCPassword());
	}

	public static Connection getJeesiteConnection() throws SQLException, InstantiationException, IllegalAccessException, ClassNotFoundException {
		return DriverManager.getConnection(APIConfig.getJeesiteJDBCURL(),
				APIConfig.getJeesiteUserName(), APIConfig.getJeesitePassword());
	}
}