package cn.haliaeetus.sendmessage.service;

import cn.haliaeetus.sendmessage.bean.basedata.ExpressType;
import cn.haliaeetus.sendmessage.bean.basedata.User;
import cn.haliaeetus.sendmessage.bean.delivery.Delivery;
import cn.haliaeetus.sendmessage.bean.delivery.DeliveryInfo;
import cn.haliaeetus.sendmessage.bean.dto.DeliveryDto;
import cn.haliaeetus.sendmessage.bean.dto.QueryPageDto;
import cn.haliaeetus.sendmessage.bean.dto.SignBackDto;
import cn.haliaeetus.sendmessage.controller.web.QueryCondition.DeliveryQueryCondition;
import cn.haliaeetus.sendmessage.exception.BusinessException;
import cn.haliaeetus.sendmessage.framework.toolkit.PagedList;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface DeliveryService {
    /**
     * @param qc
     * @return
     * @author zhang-shuai
     */
    public boolean update(DeliveryQueryCondition qc);

    /**
     * 通过id查询订单
     * @param storeId
     * @param id
     * @return
     */
    Delivery getById(Integer storeId, int id);

    /**
     * 重新发送短信
     * @param storeId
     * @param ids
     * @param platform
     * @throws Exception
     */
    void resendSms(Integer storeId, List<Integer> ids, String platform) throws Exception;

    boolean updateExpSignBackStatus(String expcode,String storeId,String reason);

    void addExpressRecode(Integer id, String expCode, int status);
}
