package cn.haliaeetus.sendmessage.service.impl;

import cn.haliaeetus.sendmessage.bean.BusinessOperateRecord;
import cn.haliaeetus.sendmessage.dao.BusinessOperateRecordDao;
import cn.haliaeetus.sendmessage.service.BusinessOperateRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 业务操作信息业务
 */
@Service
public class BusinessOperateRecordServiceImpl implements BusinessOperateRecordService {
	@Autowired
	private BusinessOperateRecordDao businessOperateRecordDao;
	
	public void save(BusinessOperateRecord businessOperateRecord) {
		businessOperateRecordDao.save(businessOperateRecord);
	}
	
	public BusinessOperateRecord getById(int id) {
		return businessOperateRecordDao.getById(id);
	}
	
	public void updateById(BusinessOperateRecord businessOperateRecord) {
		businessOperateRecordDao.updateById(businessOperateRecord);
	}
	
	public BusinessOperateRecord getBusinessOperateRecordOfStore(int storeId, String businessCode) {
		return businessOperateRecordDao.getBusinessOperateRecordOfStore(storeId, businessCode);
	}
}