package cn.haliaeetus.sendmessage.service.jhy.impl;

import cn.haliaeetus.sendmessage.bean.jhy.JhyPhone;
import cn.haliaeetus.sendmessage.bean.jhy.filter.JhyPhoneFilter;
import cn.haliaeetus.sendmessage.dao.JhyPhoneDao;
import cn.haliaeetus.sendmessage.service.jhy.JhyPhoneService;
import com.google.gson.Gson;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName JhyPhoneServiceImpl
 * @Description TODO
 * @Author kael
 * @Date 2019/8/5 0005 上午 10:29
 * @Version 1.0
 **/
@Service
public class JhyPhoneServiceImpl implements JhyPhoneService {

    @Autowired
    private JhyPhoneDao jhyPhoneDao;

    @Override
    public List<JhyPhone> selectByFilter(JhyPhoneFilter filter) {
        if(filter != null){
            return jhyPhoneDao.selectByFilter(filter);
        }
        return null;
    }

    @Override
    public boolean insertSelective(String json) throws Exception{
        return jhyPhoneDao.insertSelective(new Gson().fromJson(json,JhyPhone.class)) > 0;
    }
}
