package cn.haliaeetus.sendmessage.service.rsync;

import cn.haliaeetus.sendmessage.bean.ConsumeRecord;
import cn.haliaeetus.sendmessage.bean.basedata.User;
import cn.haliaeetus.sendmessage.bean.dto.ConsumeListDto;
import cn.haliaeetus.sendmessage.bean.sms.SmsRecord;

import java.util.List;

/**
 * 消费记录Service
 */
public interface ConsumeRecordService {
	public int save(ConsumeRecord consumeRecord);

	public List<ConsumeListDto> getAllConsumeList(String beginTime, String endTime, String storageId);

	public List<ConsumeListDto> getConsumeList(String consumeFlag, String beginTime, String endTime, String storageId);

	public List<ConsumeListDto> getAllConsumeList4app(String beginTime, String endTime, String storageId);

	public List<ConsumeListDto> getConsumeList4app(String consumeFlag, String beginTime, String endTime, String storageId);

    Integer sendMsgUpConsume(SmsRecord smsRecord, User user, boolean isSuccess);
}