package cn.haliaeetus.sendmessage.service.wx.impl;


import cn.haliaeetus.sendmessage.bean.wx.WxTemplateEntity;
import cn.haliaeetus.sendmessage.dao.IWxTemplateDao;
import cn.haliaeetus.sendmessage.service.wx.WxTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Created by Administrator on 2019/3/7 0007.
 */

@Service("wxTemplateService")
public class WxTemplateServiceImpl implements WxTemplateService {
    @Autowired
    private IWxTemplateDao iWxTemplateDao;


    @Override
    public Integer insertTemplate(WxTemplateEntity wxTemplateEntity) throws Exception {
        return iWxTemplateDao.insertTemplate(wxTemplateEntity);
    }

    @Override
    public List<WxTemplateEntity> selectTemplateByStoreId(Map map) throws Exception {
        return iWxTemplateDao.selectTemplateByStoreId(map);
    }

    @Override
    public List<WxTemplateEntity> selectTemplateForSignByStoreId(Map map) throws Exception {
        return iWxTemplateDao.selectTemplateForSignByStoreId(map);
    }

    @Override
    public List<WxTemplateEntity> selectWxTemplate(Map map) throws Exception {
        return iWxTemplateDao.selectWxTemplate(map);
    }
}
