package cn.haliaeetus.sendmessage.utils.pdd;

import lombok.Builder;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

/**
 * @ClassName CabinetInfoRequest
 * @Description TODO
 * @Author Administrator
 * @Date 2019/8/29 0029 上午 9:18
 * @Version 1.0
 **/

@Data
@Builder
public class CabinetInfoRequest extends PddRequest {

    /**
     * companyCode : FCOBX
     * cabCode :  FC098183434
     * cabName : 丰巢e栈柜
     * cabType : 01
     * province : 上海
     * city : 上海市
     * district : 长宁区
     * town : 仙霞街道
     * buildingName : 金虹桥大厦
     * address : 娄山关路523号
     * deliverAddress : 南楼一楼自提柜
     * longitude : 31.21491
     * latitude : 121.409196
     * coordType : baidu
     * totalCell : 25
     * hugeCell : 2
     * largeCell : 5
     * midCell : 5
     * smallCell : 10
     * microCell : 3
     * refrigCell : 0
     * status : 0
     * type : 1
     */

    private String companyCode;
    private String cabCode;
    private String cabName;
    private String cabType;
    private String province;
    private String city;
    private String district;
    private String town;
    private String buildingName;
    private String address;
    private String deliverAddress;
    private String longitude;
    private String latitude;
    private String coordType;
    private Integer totalCell;
    private Integer hugeCell;
    private Integer largeCell;
    private Integer midCell;
    private Integer smallCell;
    private Integer microCell;
    private Integer refrigCell;
    private Integer status;
    private Integer type;

}
