package cn.haliaeetus.sendmessage.bean.alibaba;

import lombok.Data;

/**
 * @PackageName: com.bs.logisticslnfoapi.bean.alibb
 * @ClassName: AliBaBaSmsStatusReportBean
 * @Description: TODO
 * @Author: liujs
 * @Date: 2020/05/22 下午 15:47
 * @Version: 1.0
 */
@Data
public class AliBaBaSmsStatusReportBean {
    /**
     * 手机号码
     * 示例:13900000001
     */
    private String phone_number;
    /**
     * 发送时间
     * 示例:2017-01-01 00:00:00
     */
    private String send_time;
    /**
     * 状态报告时间
     * 示例:2017-01-01 00:00:00
     */
    private String report_time;
    /**
     * 是否接收成功
     * 示例:true\false
     */
    private Boolean success;
    /**
     * 状态报告编码
     * 示例:DELIVERED
     */
    private String err_code;
    /**
     * 状态报告说明
     * 示例:用户接收成功
     */
    private String err_msg;
    /**
     * 短信长度
     * 示例:1
     */
    private String sms_size;
    /**
     * 发送序列号
     * 示例:12345
     */
    private String biz_id;
    /**
     * 用户序列号
     * 示例:67890
     */
    private String out_id;
}
