package cn.haliaeetus.sendmessage.bean.api;

import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * 〈功能概述〉<br>
 *
 * @className: ApiLog
 * @package: com.bs.logisticslnfoapi.bean
 * @author: kael
 * @date: 2019/10/23 0023 上午 9:40
 */
@Data
@Builder
public class ApiLog {

    private Integer id;
    private String requestMsg;
    private String responseMsg;
    private Date createTime;
    private String url;
    private Integer storeId;
    /**
     * 请求类型，1：系统发起请求，2：第三方发起请求
     */
    private Integer requestType;
    private String platform;
    private Integer exTime;
    private String spare1;
    private String spare2;
    private String spare3;
}
