package cn.haliaeetus.sendmessage.bean.basedata;

import lombok.Data;

@Data
public class UpdateBestLogisticsBean {

    //快递公司代码
    private String operator;
    //交易号，标记各状态消息所属的投递流程，全局唯一，建议使用UUID或（服务商编码＋本地唯一串）
    private String transactionCode;
    //服务提供商代码
    private String serviceProviderCode;
    //运单号
    private String  billCode;
    //服务点编号
    private String serviceSiteCode;
    //状态 S01,快递员已投递包裹至快递柜 S02,收件人已取货 S03,包裹无人收取快递员退回包裹 S04,用户拒收快递员退回包裹
    private String status;
    //备注
    private String remark;
    //状态推送时间(YYYY-MM-DD HH24:MI:SS)
    private String requestTime;
    // 取件码
    private String password;


}
