package cn.haliaeetus.sendmessage.bean.cainiao;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @PackageName: com.bs.logisticslnfoapi.bean.cainiao
 * @ClassName: CaiNiaoRequestUser
 * @Description: TODO
 * @Author: liujs
 * @Date: 2020/02/26 下午 15:28
 * @Version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CaiNiaoRequestUser {
    /**
     * <mailNo>必传，运单号</mailNo>
     *     <receiverTailTel>必传，手机号后4位（菜鸟有就提供）</ receiverTailTel>
     *     <siteBrandCode>必传，代收点品牌（回传物流信息时填入的siteBrandCode）</siteBrandCode>
     *     <siteId>必传，该品牌下代收点内部id（回传物流信息时填入的siteId）</siteId>
     *     <inboundTime>必传，包裹入代收点时间</inboundTime>
     *     <errorCode>必传，错误码</errorCode>
     *     <errorMessage>非必传，错误信息</errorMessage>
     *     <reptTime>必传，触达时间</reptTime>
     *     <bizId>必传，业务主键，可用于定位消息的投递过程</bizId>
     *     <extendFields>非必传，便于今后业务拓展需要</extendFields>
     */
    private String mailNo;
    private String receiverTailTel;
    private String siteBrandCode;
    private String siteId;
    private String inboundTime;
    private String errorCode;
    private String errorMessage;
    private String reptTime;
    private String bizId;
    private String extendFields;

}
