package cn.haliaeetus.sendmessage.bean.dto;


import cn.haliaeetus.sendmessage.framework.entity.baseEntity.BaseEntity;
import cn.haliaeetus.sendmessage.framework.toolkit.Jsoned;
import com.google.gson.JsonObject;

import java.text.SimpleDateFormat;
import java.util.Date;


public class PhoneLibDto extends BaseEntity implements Jsoned {

    private String phones;
    private int storeId;
    private Date createTime;
    /**
     * 小区Id
     */
    private int areaId;
    /**
     * 小区名称
     */
    private String areaName;
    /**
     * 收件人名称
     */
    private String consingeeName;
    /**
     * 收件人电话
     */
    private String consingeePhone;
    /**
     * 收件人地址
     */
    private String address;
    /**
     * 楼栋号
     */
    private String buildingNumber;
    /**
     * 楼层号
     */
    private String floorNumber;
    /**
     * 备注
     */
    private String remark;

    public int getAreaId() {
        return areaId;
    }

    public void setAreaId(int areaId) {
        this.areaId = areaId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getConsingeeName() {
        return consingeeName;
    }

    public void setConsingeeName(String consingeeName) {
        this.consingeeName = consingeeName;
    }

    public String getConsingeePhone() {
        return consingeePhone;
    }

    public void setConsingeePhone(String consingeePhone) {
        this.consingeePhone = consingeePhone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBuildingNumber() {
        return buildingNumber;
    }

    public void setBuildingNumber(String buildingNumber) {
        this.buildingNumber = buildingNumber;
    }

    public String getFloorNumber() {
        return floorNumber;
    }

    public void setFloorNumber(String floorNumber) {
        this.floorNumber = floorNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPhones() {
        return phones;
    }

    public void setPhones(String phones) {
        this.phones = phones;
    }

    public int getStoreId() {
        return storeId;
    }

    public void setStoreId(int storeId) {
        this.storeId = storeId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public PhoneLibDto(String phones, int storeId, Date createTime, int areaId, String areaName, String consingeeName, String consingeePhone, String address, String buildingNumber, String floorNumber, String remark) {
        this.phones = phones;
        this.storeId = storeId;
        this.createTime = createTime;
        this.areaId = areaId;
        this.areaName = areaName;
        this.consingeeName = consingeeName;
        this.consingeePhone = consingeePhone;
        this.address = address;
        this.buildingNumber = buildingNumber;
        this.floorNumber = floorNumber;
        this.remark = remark;
    }

    public PhoneLibDto() {
    }

    public JsonObject toJson() {
        SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        JsonObject jsonObject = new JsonObject();

        jsonObject.addProperty("id", id);
        jsonObject.addProperty("storeId", storeId);
        jsonObject.addProperty("phones", phones);
        jsonObject.addProperty("createTime", sdf.format(createTime));
        return jsonObject;
    }
}
