package cn.haliaeetus.sendmessage.bean.express;

import lombok.Data;

/**
 * @ClassName YunDaSyStoreBean
 * @Description 韵达bean
 * @Author kael
 * @Date 2019/7/9 0009 下午 15:18
 * @Version 1.0
 **/
@Data
public class YunDaSyStoreBean {
    /**
     * 运单号	必填
     */
    private String mailno;
    /**
     * 操作类型	必填,STA_INBOUND(入库),STA_SIGN(出库)
     */
    private String action;
    /**
     * 操作时间 必填，快件操作时间
     */
    private String time;
    /**
     * 取件地址	必填，详细取件地址
     */
    private String desc;
    /**
     * 	快件操作城市编码	必填，快件所在城市编码
     */
    private String city;
    /**
     * 	驿站/自提柜名称	必填（需要透传给消费者，务必是能让消费者清楚的取到件的信息）
     */
    private String stationName;
    /**
     * 	驿站/自提柜联系方式	必填
     */
    private String stationContact;
    /**
     * 	小件员姓名	张农
     */
    private String  contacter;
    /**
     * 	小件员联系方式
     */
    private String contactPhone;
    /**
     * 	物业类型，代收点类型	1001	必填,类型 ：快递柜(KDG)，代收点( DSD)
     *              1000其它,
     *             1001快递柜,
     *             1002合作驿站、代收点,
     *             1003物业,
     *             1004门卫,
     *             1005前台
     */
    private String properType = "1002";
    /**
     * 	物业编码  必填 （联系韵达业务提供）
     */
    private String properCode;
    /**
     * 站点编码
     */
    private String stationCode;

    private String pickCode;

}
