package cn.haliaeetus.sendmessage.bean.express.common;

import lombok.Builder;
import lombok.Data;

/**
 * @PackageName: cn.haliaeetus.sendmessage.bean.express
 * @ClassName: ExpressRequestBean
 * @Author: LiuJS
 * @Description: 快递接口请求参数
 * @Date: 2020/8/4 14:38
 * @Version: 1.0
 */
@Data
@Builder
public class ExpressRequestBean {
    /**
     * 接口版本号
     */
    private String version;

    /**
     * 业务接口类型
     */
    private String serviceType;

    /**
     * 目的方编码
     */
    private String toCode;

    /**
     * 请求签名(必填)
     */
    private String data_digest;

    /**
     * 业务参数
     */
    private String data;
}
