package cn.haliaeetus.sendmessage.bean.express.jitu;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author liujs
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class JiTuRequestBean {
    /**
     * 调用第三方接口的完整地址
     */
    private String url;
    /**
     * 根据运单号查询收件人手机号接口参数
     * 面单号
     */
    private String waybillId;
    /**
     * 入库扫描接口参数、出库扫描接口参数、快递取出扫描接口参数
     * 快递数据类集合
     */
    private List<JiTuDeliveryCabinetDTO> jiTuDeliveryCabinetDTOList;
}
