package cn.haliaeetus.sendmessage.bean.express.shentong;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author liujs
 * @desc 申通末端信息实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShenTongOperationEndpointChangeStatusBean {
    /**
     * 状态：100-启用，200-停用
     * 示例:100
     */
    private Integer status;
    /**
     * 待修改的末端编号列表，List<String>
     * 示例：[1000]
     */
    private List<String> codeList;
}
