package cn.haliaeetus.sendmessage.bean.express.shentong;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author liujs
 * @desc 申通结果实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShenTongPageListBean {
    /**
     * 页码
     * 示例：1
     */
    private Integer pageNum;
    /**
     * 每页记录数
     * 示例：20
     */
    private Integer pageSize;
    /**
     * 总记录数
     * 示例：200
     */
    private long total;
    /**
     * 末端列表
     */
    private List<ShenTongEndpointInfoBean> list;
}
