package cn.haliaeetus.sendmessage.bean.express.shentong;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author liujs
 * @desc 申通响应实体类
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShenTongResponseBean<T> {
    /**
     * 是否成功
     */
    private Boolean success;
    /**
     * 错误编码
     */
    private String errorCode;
    /**
     * 错误信息
     */
    private String errorMsg;
    /**
     * 返回数据结果
     */
    private T data;
}
