package cn.haliaeetus.sendmessage.bean.express.shentong;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author liujs
 * @desc 申通注册和修改门店信息接口
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShenTongScanUploadMsgBean {
    /**
     * 轨迹数据list
     */
    private List<ShenTongScanRecordDtoBean> records;
    /**
     * 固定值“CNTP_TRACE_NOTIFY”
     */
    private String msgType;
}
