package cn.haliaeetus.sendmessage.bean.haidiao;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @PackageName: com.bs.logisticslnfoapi.bean.smsplatform.haidiao
 * @ClassName: HaiDiaoSendSmsBean
 * @Author: liujs
 * @Description: 海雕短信平台发送短信实体类
 * @Date: 10:10 2020/7/1
 * @Version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HaiDiaoSendSmsBean {
    /**
     * 账号
     */
    private String userName;
    /**
     * 密码
     */
    private String passWord;
    /**
     * 短信号码
     */
    private String phoneNumber;
    /**
     * 签名
     */
    private String comSign;
    /**
     * 短信内容
     */
    private String content;
    /**
     * 加密后的短信内容
     */
    private String md5Content;
    /**
     * 拓展码（可选）
     */
    private String extCode;
    /**
     * 调用第三方接口的地址
     */
    private String url;
}
