package cn.haliaeetus.sendmessage.bean.mengwang;

import lombok.Data;

import java.util.List;

/**
 * @PackageName: com.bs.logisticslnfoapi.bean.smsplatform.mengwang
 * @ClassName: MengWangSmsStatusReportBean
 * @Description: TODO
 * @Author: liujs
 * @Date: 2020/05/20 下午 14:57
 * @Version: 1.0
 */
@Data
public class MengWangSmsStatusReportBean {
    /**
     * 用户账号：长度最大6个字符
     * 示例：J10003
     */
    private String userid;
    /**
     * 用户密码：定长小写32位字符(已加密)
     * 示例:26dad7f364507df18f3841cc9c4ff94d
     */
    private String pwd;
    /**
     * 时间戳：24小时制格式：MMDDHHMMSS,即月日时分秒，定长10位,月、日、时、分、秒每段不足2位时左补0，密码选择MD5加密方式时必填该参数
     * 示例：0803192020
     */
    private String timestamp;
    /**
     * 推送状态报告请求命令:必须填RPT_REQ
     */
    private String cmd;
    /**
     * 请求消息流水号：匹配回应请求的短信包，每次网络请求加1
     */
    private int seqid;
    /**
     * 状态报告
     */
    /*private List<MengWangSmsStatusBean> rpts;*/
    private String rpts;
}
