package cn.haliaeetus.sendmessage.bean.sms;

import cn.haliaeetus.sendmessage.bean.basedata.Store;
import cn.haliaeetus.sendmessage.bean.basedata.User;
import cn.haliaeetus.sendmessage.bean.delivery.Delivery;
import cn.haliaeetus.sendmessage.bean.sms.SmsRecord;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName SmsData
 * @Description 发送短信时的model
 * @Author kael
 * @Date 2019/9/27 0027 下午 15:08
 * @Version 1.0
 **/
@Data
@Builder
public class SmsDataRequest {
    private Integer reminder;
    private User user;
    private Delivery delivery;
    private SmsRecord smsRecord;
    private Integer id;
    private String msg;
    private Store store;
    private Integer smsCount;
}
