package cn.haliaeetus.sendmessage.controller.web.QueryCondition;


import cn.haliaeetus.sendmessage.bean.basedata.User;


/**
 * user表操作工具，用来辅助mybatis生成CRUD的sql
 * 
 * 说明：
 * entity表示需要更新的entity
 * 其他字段表示更新语句的where条件和值
 * @author liutianyuan
 *
 */
public class UserQueryCondition {


	/**
	 * update 使用
	 */
	private User entity;
	
	
	
	private String userId;

    private String userName;

    private String password;

    private Integer storeId;

    private String shortAddress;

    private String telPhone;

    private Integer push15;

    private Integer push10;

    private Integer codeType;
    
    private Integer smsSendType;

    private String storepwd;

    private String webversion;

    private Integer containsshelf;

    private String comSign;

	private int p; //当前页
	private int pageSize = 0;//每页显示数量
	private int begin = 0;//分页查询参数

	public User getEntity() {
		return entity;
	}

	public void setEntity(User entity) {
		this.entity = entity;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public Integer getStoreId() {
		return storeId;
	}

	public void setStoreId(Integer storeId) {
		this.storeId = storeId;
	}


	public String getShortAddress() {
		return shortAddress;
	}

	public void setShortAddress(String shortAddress) {
		this.shortAddress = shortAddress;
	}


	public String getTelPhone() {
		return telPhone;
	}

	public void setTelPhone(String telPhone) {
		this.telPhone = telPhone;
	}

	public Integer getPush15() {
		return push15;
	}

	public void setPush15(Integer push15) {
		this.push15 = push15;
	}

	public Integer getPush10() {
		return push10;
	}

	public void setPush10(Integer push10) {
		this.push10 = push10;
	}

	public Integer getCodeType() {
		return codeType;
	}

	public void setCodeType(Integer codeType) {
		this.codeType = codeType;
	}

	public Integer getSmsSendType() {
		return smsSendType;
	}

	public void setSmsSendType(Integer smsSendType) {
		this.smsSendType = smsSendType;
	}

	public String getStorepwd() {
		return storepwd;
	}

	public void setStorepwd(String storepwd) {
		this.storepwd = storepwd;
	}

	public String getWebversion() {
		return webversion;
	}

	public void setWebversion(String webversion) {
		this.webversion = webversion;
	}

	public Integer getContainsshelf() {
		return containsshelf;
	}

	public void setContainsshelf(Integer containsshelf) {
		this.containsshelf = containsshelf;
	}


	public int getP() {
		return p;
	}

	public void setP(int p) {
		this.p = p;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getBegin() {
		return begin;
	}

	public void setBegin(int begin) {
		this.begin = begin;
	}

	public String getComSign() {
		return comSign;
	}

	public void setComSign(String comSign) {
		this.comSign = comSign;
	}
}
