package cn.haliaeetus.sendmessage.enums;



public enum HDExpressNameEnum {

	YOUZHENG_GUONEI("youzhengguonei", 244,"邮政"),
	YOUZHENG_EMS("ems", 243,"EMS"),
	SHUNFENG("shunfeng", 18,"顺丰"),
	SHENTONG("shentong", 272,"申通"),
	YUANTONg("yuantong", 202,"圆通"),
	ZHONGTONG("zhongtong", 187,"中通"),
	HUITONG("huitongkuaidi", 223,"百世"),
	YUNDA("yunda", 17,"韵达"),
	TIANTIAN("tiantian", 273,"天天"),
	GUOTONG("guotongkuaidi", 274,"国通"),
	SUER("suer", 203,"苏宁"),
	YOUSU("youshuwuliu", 276,"优速"),
	QUANFENG("quanfengkuaidi", 275,"全峰"),
	JD("jd", 65,"京东"),
	QT("qt", 999,"其他"),
	UNDEFINE("ERROR", -1);

	private String value;
	private int code;
	private String cnName;

	private HDExpressNameEnum(String value, int code) {
		this.value = value;
		this.code = code;
	}
	private HDExpressNameEnum(String value, int code,String cnName) {
		this.value = value;
		this.code = code;
		this.cnName = cnName;
	}

	public String getCnName() {
		return cnName;
	}

	public void setCnName(String cnName) {
		this.cnName = cnName;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public static HDExpressNameEnum valueOf(int code) {
		 for (HDExpressNameEnum statusCode : HDExpressNameEnum.values()) {
		     if (statusCode.getCode() == code) {
				 return statusCode;
			 }
		 }
		    return UNDEFINE;
    }
}
