package cn.haliaeetus.sendmessage.enums;

public enum StatusCodeEnum {

    RETURNSIGNSSTATUS_ZERO(0, ""),//没有对接回传接口
    RETURNSIGNSSTATUS_ONE(1, "签收成功"),
    RETURNSIGNSSTATUS_TOW(2, "签收失败"),
    RETURNSIGNSSTATUS_THREE(3, "代签成功"),
    RETURNSIGNSSTATUS_FOUR(4, "代签失败");

    private int code;
    private String content;

    private StatusCodeEnum(int code,String content){
        this.code=code;
        this.content=content;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public static String of(int code) {
        for (StatusCodeEnum returnCode : StatusCodeEnum.values()) {
            if (returnCode.getCode()==code)
                return returnCode.getContent();
        }
//		 return code;
        return "没有对接回传接口";
    }


}
