/**
 * @FileName: DataAccessException.java
 * @Package cn.haliaeetus.framework.base.exception
 * 
 * @author warship
 * @created 2013年11月22日 下午3:58:04
 * 
 * Copyright 2013-2050 佰颂物联 版权所有
 */
package cn.haliaeetus.sendmessage.exception;

/**
 * <p>数据访问异常</p>
 * 
 * @author warship
 * @since 1.0
 * @version 1.0
 */
public class DataAccessException extends BaseException {
	
	private static final long serialVersionUID = 4878102242940055883L;

	public DataAccessException() {
		super();
	}

	public DataAccessException(String message, Throwable cause) {
		super("[XM_DataAccessException]" + message, cause);
	}

	public DataAccessException(String message) {
		super("[XM_DataAccessException]" + message);
	}

	public DataAccessException(Throwable cause) {
		super("[XM_DataAccessException]", cause);
	}

}
