/**
 * @FileName: FrameworkException.java
 * @Package cn.haliaeetus.framework.base.exception
 * 
 * @author warship
 * @created 2013年11月22日 下午3:59:51
 * 
 * Copyright 2013-2050 佰颂物联 版权所有
 */
package cn.haliaeetus.sendmessage.exception;

/**
 * <p>框架异常</p>
 * 
 * @author warship
 * @since 1.0
 * @version 1.0
 */
public class FrameworkException extends BaseException {
	
	private static final long serialVersionUID = 7014113898654462644L;

	public FrameworkException() {
		super();
	}

	public FrameworkException(String message, Throwable cause) {
		super("[XM_DataAccessException]" + message, cause);
	}

	public FrameworkException(String message) {
		super("[XM_DataAccessException]" + message);
	}

	public FrameworkException(Throwable cause) {
		super("[XM_DataAccessException]", cause);
	}

}
