package cn.haliaeetus.sendmessage.framework.factory.express;

import cn.haliaeetus.sendmessage.framework.factory.express.realize.*;
import cn.haliaeetus.sendmessage.framework.factory.platform.BasePlatform;
import cn.haliaeetus.sendmessage.framework.factory.platform.realize.PddPlatform;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @ClassName ExpressFactory
 * @Description TODO
 * @Author Administrator
 * @Date 2019/8/28 0028 下午 16:50
 * @Version 1.0
 **/
@Component
public class ExpressFactory {

    @Autowired
    private Map<String, BaseExpress> context = new ConcurrentHashMap<>();

    public BaseExpress getExpress(String expId){
        if(expId == null){
            return null;
        }
        return this.context.get(expId);
    }
}
