package cn.haliaeetus.sendmessage.framework.factory.platform;

import cn.haliaeetus.sendmessage.bean.basedata.Store;
import cn.haliaeetus.sendmessage.bean.dto.SignBackDto;
import cn.haliaeetus.sendmessage.bean.sms.SmsDataRequest;
import cn.haliaeetus.sendmessage.bean.sms.SmsDataResponse;
import cn.haliaeetus.sendmessage.utils.ALBB.QuerySendDetailsRequest;

/**
 * 平台基类
 * @author kael
 */
public interface BasePlatform {

    /**
     * 签收
     * @param signBackDto
     */
    void platformSign(SignBackDto signBackDto);

    /**
     * 入库
     * @param signBackDto
     */
    void platformBack(SignBackDto signBackDto);

    /**
     * 同步店铺
     * @param store
     */
    void platformAuthStore(Store store,Integer type);

    /**
     * 发送短信
     * @param smsData
     * @return
     */
    SmsDataResponse sendSms(SmsDataRequest smsData) throws Exception;
}
