/**
 * @FileName: Sort.java
 * @Package cn.haliaeetus.framework.common.search
 * 
 * @author warship
 * @created 2013年11月9日 下午11:08:54
 * 
 * Copyright 2013-2050 佰颂物联 版权所有
 */
package cn.haliaeetus.sendmessage.framework.mybatis.search;

import java.io.Serializable;

/**
 * <p>排序</p>
 * 
 * @author warship
 * @since 1.0
 * @version 1.0
 */
public class Sort implements Serializable {

	private static final long serialVersionUID = 7668462670075274149L;
	
	/**
	 * 0：降序；1升序
	 */
	private int sortType;
	
	/**
	 * 字段名
	 */
	private String field;
	
	private Sort(int sortType, String field) {
		this.sortType = sortType;
		this.field = field;
	}
	
	/**
	 * @return the sortType
	 */
	public int getSortType() {
		return sortType;
	}

	/**
	 * @return the field
	 */
	public String getField() {
		return field;
	}
	
}
