package cn.haliaeetus.sendmessage.framework.sms.entity.dahan;

import java.util.Date;


/**
 * 大汉三通接口响应Json数据
 * @author guolz
 *
 */
public class DahanReport {
	
	/** 短信编号 */
	private String msgid;
	
	/** 下行手机号码 */
	private String phone;
	
	/** 短信发送结果(0:成功  1:接口处理失败  2:运营商网关失败) */
	private String status;
	
	/** 状态描述  当status为1时，以desc的错误码为准*/
	private String desc;
	
	/** 当status为2时，表示运营商网关返回的原始值 */
	private String wgcode;
	
	/** 状态报告接收时间格式为yyyy-MM-ddHH:mm:ss */
	private Date time;
	
	/** 长短信条数 */
	private int smsCount;
	
	/** 长短信第几条标示 */
	private int smsIndex;

	public String getMsgid() {
		return msgid;
	}

	public void setMsgid(String msgid) {
		this.msgid = msgid;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public String getWgcode() {
		return wgcode;
	}

	public void setWgcode(String wgcode) {
		this.wgcode = wgcode;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public int getSmsCount() {
		return smsCount;
	}

	public void setSmsCount(int smsCount) {
		this.smsCount = smsCount;
	}

	public int getSmsIndex() {
		return smsIndex;
	}

	public void setSmsIndex(int smsIndex) {
		this.smsIndex = smsIndex;
	}
}