package cn.haliaeetus.sendmessage.framework.util;

import java.math.BigDecimal;

/**
 * 计算工具类
 * 
 * @since 1.0
 * @version 1.0
 */
public class ComputeUtil {
	public static double parseToDouble(Integer number) {
		if (number == null) {
			return 0.0;
		}
		
		return new BigDecimal(String.valueOf(number)).divide(new BigDecimal(100), 2, BigDecimal.ROUND_DOWN).doubleValue();
	}
	
	public static int parseToInt(Double number) {
		if (number == null) {
			return 0;
		}
		
		return new BigDecimal(String.valueOf(number)).multiply(new BigDecimal(100)).intValue();
	}
}