/**
 * @FileName: StringUtil.java
 * @Package cn.haliaeetus.framework.util
 * 
 * @author warship
 * @created 2013年11月22日 下午3:45:16
 * 
 * Copyright 2013-2050 佰颂物联 版权所有
 */
package cn.haliaeetus.sendmessage.framework.util;

import cn.haliaeetus.sendmessage.exception.FrameworkException;

/**
 * <p>
 * TODO
 * </p>
 * 
 * @author warship
 * @since 1.0
 * @version 1.0
 */
public final class StringUtil {

	/**
	 * 
	 * 字符串非空判断
	 * 
	 * @author warship
	 * @created 2013年11月22日 下午3:48:22
	 * 
	 * @param target
	 *            目标字符串
	 * @return
	 */
	public static final boolean isEmpty(String target) {
		return target == null || target.length() == 0 || target.trim().length() == 0;
	}

	/**
	 * 
	 * 字符串非空判断
	 * 
	 * @author warship
	 * @created 2013年11月22日 下午3:49:31
	 * 
	 * @param input
	 *            目标字符串
	 * @return
	 */
	public static final boolean isNotEmpty(String target) {
		return !isEmpty(target);
	}

	/**
	 * 
	 * 
	 * 
	 * @author warship
	 * @created 2013年11月22日 下午4:01:58
	 * 
	 * @param target
	 * @return
	 */
	public static final String convertFirstChar2LowerCase(String target) {
		if (isEmpty(target)) {
			throw new FrameworkException("The input string is empty!");
		}
		String firstChar = target.substring(0, 1);
		return firstChar.toLowerCase() + target.substring(1, target.length());
	}

	/**
	 * 根据字母顺序排序单词 TODO
	 * 
	 * @author haliaeetus
	 * @created 2013年12月3日 下午12:59:00
	 * 
	 * @param words
	 * @return
	 */
	public static String[] sortWords(String[] words) {
		String t;
		for (int i = 0; i < words.length; i++) {
			for (int j = i; j < words.length; j++) {
				if (words[i].toLowerCase().compareTo(words[j].toLowerCase()) > 0) {
					t = words[i];
					words[i] = words[j];
					words[j] = t;
				}
			}
		}

		return words;
	}

	public static String trimToEmpty(String str) {
		return str == null ? "" : str.trim();
	}
	
	//bs2
	public static String stringReverse(String str) {
		StringBuffer sb = new StringBuffer(str);
		return sb.reverse().toString();
	}
}
