package cn.haliaeetus.sendmessage.service.delivery;

import cn.haliaeetus.sendmessage.bean.CompletePic;
import cn.haliaeetus.sendmessage.bean.delivery.DeliveryStatus;
import cn.haliaeetus.sendmessage.bean.dto.DeliveryDto;
import cn.haliaeetus.sendmessage.controller.web.QueryCondition.DeliveryQueryCondition;
import cn.haliaeetus.sendmessage.controller.web.QueryCondition.DeliveryStatusQueryCondition;
import cn.haliaeetus.sendmessage.framework.toolkit.PagedList;

import java.util.List;

public interface DeliveryStatusService {
	
	public PagedList<DeliveryDto> get4Page(DeliveryQueryCondition params);

	public List<DeliveryStatus> getDeliveryStatus(DeliveryStatusQueryCondition qc);
	
	public List<DeliveryStatus> getHisDeliveryStatus(DeliveryStatusQueryCondition qc);
	
	public List<DeliveryStatus> getHyhisDeliveryStatus(DeliveryStatusQueryCondition qc);

    public List<DeliveryStatus> getStatusListByDeliveryIds(int storeId, String deliveryIds);

    int insert(int storeId, DeliveryStatus deliveryStatus);

	DeliveryStatus getEarliestStatusOfDelivery(int storeId, int deliveryId, int status);
	
	public List<DeliveryStatus> getStatusListByDeliveryId(int storeId, int deliveryId);

	public void saveCompletePic(CompletePic pic);

	public CompletePic getCompletePic(CompletePic pic);
}
