package cn.haliaeetus.sendmessage.service.delivery.impl;

import cn.haliaeetus.sendmessage.bean.delivery.DeliveryMsgTemplateConfig;
import cn.haliaeetus.sendmessage.dao.DeliveryMsgTemplateConfigDao;
import cn.haliaeetus.sendmessage.service.delivery.DeliveryMsgTemplateConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>门店派件信息模板配置Service</p>
 * 
 * @author sqj
 * @since 1.0
 * @version 1.0
 */
@Service
public class DeliveryMsgTemplateConfigServiceImpl implements DeliveryMsgTemplateConfigService {
	@Autowired
	private DeliveryMsgTemplateConfigDao msgTemplateConfigDAO;
	
	public void save(DeliveryMsgTemplateConfig msgTemplateConfig) {
		msgTemplateConfigDAO.save(msgTemplateConfig);
	}
	
	public DeliveryMsgTemplateConfig getById(int id) {
		return msgTemplateConfigDAO.getById(id);
	}
	
	public void updateById(DeliveryMsgTemplateConfig msgTemplateConfig) {
		msgTemplateConfigDAO.updateById(msgTemplateConfig);
	}
	
	public void updateByStoreIdClientType(DeliveryMsgTemplateConfig msgTemplateConfig) {
		 msgTemplateConfigDAO.updateByStoreIdClientType(msgTemplateConfig);
	}
		
	public DeliveryMsgTemplateConfig getMsgTemplateConfig(int storeId, int clientType, int type) {
		return msgTemplateConfigDAO.getMsgTemplateConfig(storeId, clientType, type);
	}

	public DeliveryMsgTemplateConfig getDefaultMsgTemplateConfig(int clientType, int type) {
		return msgTemplateConfigDAO.getMsgTemplateConfig(0, clientType, type);
	}
}