//package cn.haliaeetus.sendmessage.service.impl;
//
//import cn.haliaeetus.sendmessage.bean.basedata.SignBackSwitchBean;
//import cn.haliaeetus.sendmessage.bean.basedata.Store;
//import cn.haliaeetus.sendmessage.bean.basedata.StoreShelf;
//import cn.haliaeetus.sendmessage.bean.cainiao.CaiNiaoRequest;
//import cn.haliaeetus.sendmessage.bean.cainiao.CaiNiaoResponse;
//import cn.haliaeetus.sendmessage.bean.cainiao.CaiNiaoWaybillQuery;
//import cn.haliaeetus.sendmessage.bean.config.PlatformConfig;
//import cn.haliaeetus.sendmessage.bean.delivery.Delivery;
//import cn.haliaeetus.sendmessage.bean.dto.SignBackDto;
//import cn.haliaeetus.sendmessage.bean.express.common.ExpressRequestBean;
//import cn.haliaeetus.sendmessage.bean.express.common.ExpressResponseBean;
//import cn.haliaeetus.sendmessage.bean.express.station.ExpressAgentsBean;
//import cn.haliaeetus.sendmessage.bean.express.trace.ExpressTracePushBean;
//import cn.haliaeetus.sendmessage.constants.ExpressConstant;
//import cn.haliaeetus.sendmessage.controller.web.QueryCondition.DeliveryQueryCondition;
//import cn.haliaeetus.sendmessage.enums.ExpressNameEnum;
//import cn.haliaeetus.sendmessage.enums.PddExpressEnum;
//import cn.haliaeetus.sendmessage.framework.base.digt.Md5Util;
//import cn.haliaeetus.sendmessage.framework.factory.platform.PlatformFactory;
//import cn.haliaeetus.sendmessage.framework.util.OkHttpUtil;
//import cn.haliaeetus.sendmessage.jobs.DBUtil;
//import cn.haliaeetus.sendmessage.service.*;
//import cn.haliaeetus.sendmessage.utils.pdd.GetSystemParam;
//import com.alibaba.fastjson.JSON;
//import com.alibaba.fastjson.JSONObject;
//import com.google.common.base.Strings;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//
//import java.sql.Connection;
//import java.sql.PreparedStatement;
//import java.sql.ResultSet;
//import java.sql.SQLException;
//import java.time.LocalDateTime;
//import java.time.format.DateTimeFormatter;
//import java.util.HashMap;
//import java.util.Map;
//
///**
// * @ClassName ExpressHandleServiceImpl
// * @Description TODO
// * @Author kael
// * @Date 2019/8/6 0006 下午 16:40
// * @Version 1.0
// **/
//@Service
//public class ExpressHandleServiceImplV implements ExpressHandleService {
//
//    protected final Logger log = LoggerFactory.getLogger(this.getClass());
//
//    @Autowired
//    private DeliveryService deliveryService;
//
//    @Autowired
//    private ExStoreService exStoreService;
//
//    @Autowired
//    private PlatformFactory platformFactory;
//
//    @Autowired
//    private StoreShelfService shelfService;
//
//    @Autowired
//    private PlatformConfigService platformConfigService;
//
//    @Autowired
//    private BasicInfoService basicInfoService;
//
//    @Override
//    public SignBackSwitchBean getSignBackSwitch(int expId, int storeId) {
//        try{
//            Connection connection = null;
//            PreparedStatement pstm = null;
//            try{
//                Class.forName("com.mysql.jdbc.Driver");
//                connection = DBUtil.getJeesiteConnection();
//                connection.setAutoCommit(false);
//                String sql = "select a.storeId,a.expId,a.is_valid,a.is_syStore,a.is_syAcPerson,a.is_syUpStore,a.yuantongStoreCode FROM sign_back_switch a where a.storeId = "+storeId+" and a.expId = " + expId;
//                pstm = connection.prepareStatement(sql);
//                ResultSet rs=pstm.executeQuery();
//                SignBackSwitchBean signBackSwitchBean = null;
//                while(rs.next()){
//                    signBackSwitchBean = new SignBackSwitchBean();
//                    signBackSwitchBean.setStoreId(rs.getString(1));
//                    signBackSwitchBean.setExpId(rs.getString(2));
//                    signBackSwitchBean.setIs_valid(rs.getBoolean(3));
//                    signBackSwitchBean.setIs_syStore(rs.getBoolean(4));
//                    signBackSwitchBean.setIs_syAcperson(rs.getBoolean(5));
//                    signBackSwitchBean.setIs_syUpStore(rs.getBoolean(6));
//                    signBackSwitchBean.setYuantongStoreCode(rs.getString(7));
//                }
//                return signBackSwitchBean;
//            }catch (Exception e){
//                e.printStackTrace();
//                throw new RuntimeException(e);
//            }finally {
//                if (pstm != null) {
//                    try {
//                        pstm.close();
//                    } catch (SQLException e) {
//                        e.printStackTrace();
//                        throw new RuntimeException(e);
//                    }
//                }
//                if (connection != null) {
//                    try {
//                        connection.close();
//                    } catch (SQLException e) {
//                        e.printStackTrace();
//                        throw new RuntimeException(e);
//                    }
//                }
//            }
//        }catch (Exception e){
//            e.getStackTrace();
//        }
//        return null;
//    }
//
//    @Override
//    public void updateSignBackSwitch(SignBackSwitchBean signBackSwitchBean){
//        try{
//            Class.forName("com.mysql.jdbc.Driver");
//            Connection con = DBUtil.getJeesiteConnection();
//            StringBuilder sb = new StringBuilder();
//            sb.append("update sign_back_switch set ");
//            if(!signBackSwitchBean.getIs_syStore()){
//                sb.append(" is_syStore = 1,");
//            }
//            if(!signBackSwitchBean.getIs_syAcperson()){
//                sb.append(" is_syAcPerson = 1,");
//            }
//            if(!signBackSwitchBean.getIs_syUpStore()){
//                sb.append(" is_syUpStore = 1,");
//            }
//            if(signBackSwitchBean.getYuantongStoreCode()!=null&&!"".equals(signBackSwitchBean.getYuantongStoreCode())){
//                sb.append(" yuantongStoreCode = '"+signBackSwitchBean.getYuantongStoreCode()+"',");
//            }
//            sb.append(" is_valid  = 1");
//            sb.append(" where storeId = "+signBackSwitchBean.getStoreId()+" AND expId = " + signBackSwitchBean.getExpId());
//            PreparedStatement ps = con.prepareStatement(sb.toString());
//            ps.executeUpdate();
//            con.close();
//        }catch (Exception e){
//            log.error(e.getMessage());
//        }
//
//    }
//
//    @Override
//    public void OpenStore(int storeId, int expId){
//        try{
//            SignBackSwitchBean signBackSwitchBean = getSignBackSwitch(expId , storeId);
//            if(signBackSwitchBean == null){
//                Class.forName("com.mysql.jdbc.Driver");
//                Connection con = DBUtil.getJeesiteConnection();
//                String sql = "insert into sign_back_switch (storeId,expId,is_valid) values(?,?,?)";
//                PreparedStatement ps = con.prepareStatement(sql);
//                ps.setInt(1, storeId);
//                ps.setInt(2, expId);
//                ps.setInt(3, 1);
//                ps.executeUpdate();
//                con.close();
//                if(expId == 223){
//                    Map mapStore=new HashMap();
//                    mapStore.put("id",storeId);
//                    mapStore.put("isOpenSignBack",1);
//                    this.exStoreService.updateStoreByIdForBest(mapStore);
//                }
//            }
//        }catch (Exception e){
//            log.error(e.getMessage());
//        }
//    }
//
//    @Override
//    public void signBack(SignBackDto signBackDto) throws Exception {
//        try{
//            // 处理取件码
//            StoreShelf storeShelf;
//            String shelfId = signBackDto.getShelfId();
//            if(!Strings.isNullOrEmpty(shelfId) && null != (storeShelf = shelfService.getById(Integer.parseInt(shelfId)))){
//                signBackDto.setShelfCode(storeShelf.getShelfName() + "-" + signBackDto.getShelfCode());
//            }
//        }catch (NumberFormatException e){
//            log.warn("取件码处理异常：" + e.getMessage());
//        }
//
//        //各快递公司平台的数据推送
//        this.expressCompanyPush(signBackDto);
//
//        //菜鸟平台的数据推送
//        this.caiNiaoPush(signBackDto);
//
//        //拼多多平台的数据推送
//        this.pddPush(signBackDto);
//    }
//
//    private void expressCompanyPush(SignBackDto signBackDto) throws Exception {
//        if(signBackDto.getExpressSignBean() != null && signBackDto.getExpressSignBean().getIs_valid()){
//            //对站点请求做处理(极兔快递没有该业务)
//            if (signBackDto.getExpId() != 296) {
//                expressStationDealWith(signBackDto);
//            }
//            //对物流轨迹推送请求做处理
//            expressTraceDealWith(signBackDto);
//        }
//    }
//
//    private void expressStationDealWith(SignBackDto signBackDto) throws Exception {
//        Integer expId = signBackDto.getExpId();
//        Store store = signBackDto.getStore();
//        SignBackSwitchBean signBackSwitch = getSignBackSwitch(expId, store.getId());
//        String serviceType = getServiceTypeParam(signBackSwitch);
//        if (Strings.isNullOrEmpty(serviceType)) {
//            return;
//        }
//        //业务数据封装
//        ExpressAgentsBean expressAgentsBean = ExpressAgentsBean.builder()
//                .agentCode(String.valueOf(store.getId()))
//                .ytStationCode(signBackSwitch.getYuantongStoreCode())
//                .agentName(store.getShortName())
//                .agentType("station")
//                .agentOwner(store.getOwner())
//                .agentOwnerPhone(store.getBackupPhone())
//                .agentOfficePhone(store.getTakeExpressPhone())
//                .agentBusinessTime(store.getStartTime() + "-" + store.getEndTime())
//                .agentState("open")
//                .provinceCode(String.valueOf(store.getProvinceId()))
//                .provinceName(store.getProvinceName())
//                .cityCode(String.valueOf(store.getCityId()))
//                .cityName(store.getCityName())
//                .areaCode(String.valueOf(store.getAreaId()))
//                .areaName(store.getAreaName())
//                .agentAddress(store.getShortAddress())
//                .longitude(store.getLongitude())
//                .latitude(store.getLatitude())
//                .build();
//        //请求参数封装
//        ExpressRequestBean expressRequestBean = ExpressRequestBean.builder()
//                .toCode(ExpressNameEnum.getExpressName(signBackDto.getExpId()))
//                .version("1.0")
//                .serviceType(serviceType)
//                .data_digest("")
//                .data(JSONObject.toJSONString(expressAgentsBean))
//                .build();
//        //调用接口
//        String resp = OkHttpUtil.postJson(ExpressConstant.URL, expressRequestBean);
//        //对返回结果进行处理
//        log.info("调用接口返回参数为:{}",resp);
//        if (ExpressConstant.ZTO_EXPRESS_ID.equals(expId) || ExpressConstant.YTO_EXPRESS_ID.equals(expId) || ExpressConstant.STO_EXPRESS_ID.equals(expId)){
//            ExpressResponseBean expressResponseBean = JSONObject.parseObject(resp, ExpressResponseBean.class);
//            if (ExpressConstant.STATION_REGISTER.equals(serviceType)){
//                signBackSwitch.setYuantongStoreCode(expressResponseBean.getStatusCode());
//            }
//        }
//        updateSignBackSwitch(signBackSwitch);
//    }
//
//    private String getServiceTypeParam(SignBackSwitchBean signBackSwitch) {
//        if (!signBackSwitch.getIs_syStore()){
//            return ExpressConstant.STATION_REGISTER;
//        }
//        if (!signBackSwitch.getIs_syAcperson()){
//            return ExpressConstant.ACCOUNT_PERSON_INFO_BY_YTO;
//        }
//        if (!signBackSwitch.getIs_syUpStore()){
//            return ExpressConstant.STATION_UPDATE;
//        }
//        return null;
//    }
//
//    //判断是否需要调用账户人员信息接口（仅圆通快递使用）
//    /*ExpressStationAccountInfoBean expressStationAccountInfoBean = ExpressStationAccountInfoBean.builder()
//                .opUserId(store.getBackupPhone())
//                .opUserName(store.getShortName())
//                .opUserMobile(store.getBackupPhone())
//                .opUserPwd("123456")
//                .ytStatus("VALID")
//                .empType("employee")
//                .usdTml("false")
//                .stationCode(getStationCode(expId, expressSignBean, store))
//                .build();*/
//
//    private void expressTraceDealWith(SignBackDto signBackDto) throws Exception {
//        Store store = signBackDto.getStore();
//        String shelfName = shelfService.getById(Integer.parseInt(signBackDto.getShelfId())).getShelfName();
//        //封装业务参数
//        ExpressTracePushBean expressTracePushBean = ExpressTracePushBean.builder()
//                //.toCode(ExpressNameEnum.getExpressName(signBackDto.getExpId()))
//                .expressCode(signBackDto.getExpCode())
//                .expressTime(LocalDateTime.now().format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss")))
//                .operationType(getOperationType(signBackDto.getActionType()))
//                .shelfCode(shelfName)
//                .takeCode(signBackDto.getShelfCode())
//                .receiverPhone(signBackDto.getTelPhone())
//                .deliveryFallReasonCode("2")
//                .deliveryFallReason("客户拒收")
//                .ytStationCode(signBackDto.getExpressSignBean().getYuantongStoreCode())
//                .agentCode(String.valueOf(store.getId()))
//                .agentName(store.getShortName())
//                .agentType("station")
//                .agentOwnerPhone(store.getBackupPhone())
//                .agentOfficePhone(store.getTakeExpressPhone())
//                .provinceName(store.getProvinceName())
//                .cityName(store.getCityName())
//                .areaName(store.getAreaName())
//                .agentAddress(store.getShortAddress())
//                .build();
//        //请求参数封装
//        ExpressRequestBean expressRequestBean = ExpressRequestBean.builder()
//                .version("1.0")
//                .serviceType("STATION_EXPRESS_TRACE")
//                .data_digest("")
//                .toCode(ExpressNameEnum.getExpressName(signBackDto.getExpId()))
//                .data(JSONObject.toJSONString(expressTracePushBean))
//                .build();
//        //调用接口
//        String resp = OkHttpUtil.postJson(ExpressConstant.URL, expressRequestBean);
//        //对返回结果进行处理
//        dealWithRespParam(signBackDto, resp);
//    }
//
//    private String getOperationType(String actionType) {
//        if ("in".equals(actionType)){
//            return "STA_INBOUND";
//        }
//        if ("return".equals(actionType)){
//            return "STA_BUYER_REJECT";
//        }
//        return "STA_SIGN";
//    }
//
//    private void dealWithRespParam(SignBackDto signBackDto, String resp){
//        Integer returnSignFlag = "in".equals(signBackDto.getActionType())? 3 : "return".equals(signBackDto.getActionType()) ? 5 : 1;
//        log.info("{}接口-返回结果：{}",returnSignFlag == 3 ? "入库扫描" : "出库扫描" ,resp);
//        DeliveryQueryCondition deliveryQueryCondition = new DeliveryQueryCondition(signBackDto.getStore().getId());
//        Delivery delivery=new Delivery();
//        ExpressResponseBean expressResponseBean = JSONObject.parseObject(resp, ExpressResponseBean.class);
//        boolean result = expressResponseBean.isStatus();
//        delivery.setRemark(result ? "success" : expressResponseBean.getStatusCode() + ":" + expressResponseBean.getMessage());
//        deliveryQueryCondition.setEntity(delivery);
//        deliveryQueryCondition.setSignFlag(result ? String.valueOf(returnSignFlag) : String.valueOf(returnSignFlag + 1));
//        deliveryQueryCondition.setReturnSignStatus(Integer.parseInt(deliveryQueryCondition.getSignFlag()));
//        deliveryQueryCondition.setUserPhone(signBackDto.getTelPhone());
//        deliveryQueryCondition.setExp_code(signBackDto.getExpCode());
//        deliveryService.update(deliveryQueryCondition);
//    }
//
//    private void caiNiaoPush(SignBackDto signBackDto) {
//        if (isCallCaiNiao(signBackDto)){return;}
//        SignBackSwitchBean signBackSwitchBean = getSignBackSwitch(9997 , signBackDto.getStore().getId());
//
//        // 菜鸟默认开启
//        if(signBackSwitchBean == null) {
//            OpenStore(signBackDto.getStore().getId(), 9997);
//            signBackSwitchBean = getSignBackSwitch(9997 , signBackDto.getStore().getId());
//        }
//        //控制是否需要新增认证
//        if(signBackSwitchBean != null && !signBackSwitchBean.getIs_syStore()){
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformAuthStore(signBackDto.getStore(),1);
//        }
//        //控制是否需要更新认证
//        if(signBackSwitchBean != null && !signBackSwitchBean.getIs_syUpStore()){
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformAuthStore(signBackDto.getStore(),2);
//        }
//
//        if("in".equals(signBackDto.getActionType())){
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformBack(signBackDto);
//        }else{
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformSign(signBackDto);
//        }
//        if("in".equals(signBackDto.getActionType())){
//            platformFactory.getPlatform("CaiNiao").platformBack(signBackDto);
//        }else{
//            platformFactory.getPlatform("CaiNiao").platformSign(signBackDto);
//        }
//    }
//
//    private void pddPush(SignBackDto signBackDto) {
//        if (isCallPdd(signBackDto)) {return;}
//        SignBackSwitchBean signBackSwitchBean = getSignBackSwitch(9998 , signBackDto.getStore().getId());
//        // 默认开启拼多多平台入库签收
//        if(signBackSwitchBean == null) {
//            OpenStore(signBackDto.getStore().getId(), 9998);
//            signBackSwitchBean = getSignBackSwitch(9998 , signBackDto.getStore().getId());
//        }
//        //控制是否需要新增认证
//        if(signBackSwitchBean != null && !signBackSwitchBean.getIs_syStore()){
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformAuthStore(signBackDto.getStore(),1);
//        }
//        //控制是否需要更新认证
//        if(signBackSwitchBean != null && !signBackSwitchBean.getIs_syUpStore()){
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformAuthStore(signBackDto.getStore(),2);
//        }
//
//        if("in".equals(signBackDto.getActionType())){
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformBack(signBackDto);
//        }else{
//            platformFactory.getPlatform(signBackDto.getPlatform()).platformSign(signBackDto);
//        }
//    }
//
//    /**
//     * 如果缓存中不存在cainiao订单缓存并且短信生产者没有传CaiNiao那么就不调用cainiao接口
//     * @param signBackDto
//     * @return
//     */
//    private boolean isCallCaiNiao(SignBackDto signBackDto) {
//        String platform;
//        if (Strings.isNullOrEmpty(platform = signBackDto.getPlatform()) && "in".equals(signBackDto.getActionType())) {
//            // 查询是否是菜鸟运单
//            try {
//                String logisticsInterface = JSON.toJSONString(CaiNiaoWaybillQuery.builder().waybillNo(signBackDto.getExpCode()).stationCode(signBackDto.getStore().getId().toString()).build());
//                PlatformConfig platformConfig = platformConfigService.getByPlatform("CaiNiao");
//                CaiNiaoRequest caiNiaoRequest = new CaiNiaoRequest();
//                caiNiaoRequest.setMsg_type("TMS_WAYBILL_EXTEND_INFO_QUERY");
//                caiNiaoRequest.setLogistic_provider_id(platformConfig.getToken());
//                caiNiaoRequest.setData_digest(Md5Util.caiNiaoDoSign(logisticsInterface, "utf-8", platformConfig.getAppSecret()));
//                caiNiaoRequest.setLogistics_interface(logisticsInterface);
//                caiNiaoRequest.setTo_code("TMS_WAYBILL_EXTEND_INFO_QUERY");
//                caiNiaoRequest.setUrl(platformConfig.getUrl());
//                String res = OkHttpUtil.postJson(platformConfig.getLogisticsUrl() + "/cainiao/waybillExtendInfoQuery", caiNiaoRequest);
//                CaiNiaoResponse caiNiaoResponse = JSONObject.parseObject(res, CaiNiaoResponse.class);
//                if (caiNiaoResponse != null && null != caiNiaoResponse.getSuccess() && caiNiaoResponse.getSuccess()) {
//                    platform = Strings.isNullOrEmpty(caiNiaoResponse.getEndOfMobileNumber()) ? "CaiNiao-B" : "CaiNiao";
//
//                    DeliveryQueryCondition condition = new DeliveryQueryCondition(signBackDto.getStore().getId());
//                    condition.setExp_code(signBackDto.getExpCode());
//                    condition.setExp_Id(signBackDto.getExpId().toString());
//                    Delivery delivery = new Delivery();
//                    delivery.setPlatform(platform);
//                    condition.setEntity(delivery);
//                    deliveryService.update(condition);
//                }
//            } catch (Exception e) {
//                log.error(e.toString());
//            }
//        }
//        if( Strings.isNullOrEmpty(platform) || !platform.contains("CaiNiao")){
//            return true;
//        }
//        signBackDto.setPlatform("CaiNiao");
//        return false;
//    }
//
//    /**
//     * 如果缓存中不存在pdd订单缓存并且短信生产者没有传PDD那么就不调用pdd接口
//     * @param signBackDto
//     * @return
//     */
//    private boolean isCallPdd(SignBackDto signBackDto) {
//        String platform;
//        if (Strings.isNullOrEmpty(platform = signBackDto.getPlatform()) && "in".equals(signBackDto.getActionType())) {
//            try {
//                // 查询是否为PDD面单
//                GetSystemParam getSystemParam = new GetSystemParam().invoke(basicInfoService);
//                Map<String, Object> queryParam = new HashMap<>();
//                queryParam.put("companyCode", getSystemParam.getPartnerId());
//                queryParam.put("cabCode", signBackDto.getStore().getId().toString());
//                queryParam.put("expressCode", PddExpressEnum.of(signBackDto.getExpId()).getBrand());
//                queryParam.put("mailNo", signBackDto.getExpCode());
//                queryParam.put("siteType", 2);
//                queryParam.put("apiName", "http://express.pinduoduo.com/express/order/" + getSystemParam.getPartnerId() + "/query");
//                queryParam.put("partner_id", getSystemParam.getPartnerId());
//                queryParam.put("secret", getSystemParam.getSecret());
//                String resp = OkHttpUtil.postJson(getSystemParam.getUrl() + "/pddPhoneQuery", queryParam);
//                JSONObject respObj = JSON.parseObject(resp);
//                if (respObj.getBoolean("success") && respObj.getInteger("result").compareTo(1) == 0) {
//                    platform = "PDD";
//                    DeliveryQueryCondition condition = new DeliveryQueryCondition(signBackDto.getStore().getId());
//                    condition.setExp_code(signBackDto.getExpCode());
//                    condition.setExp_Id(signBackDto.getExpId().toString());
//                    Delivery delivery = new Delivery();
//                    delivery.setPlatform(platform);
//                    condition.setEntity(delivery);
//                    deliveryService.update(condition);
//                    signBackDto.setPlatform(platform);
//                }
//            } catch (Exception e) {
//                return true;
//            }
//        }
//        if (!"PDD".equalsIgnoreCase(platform)) {
//            return true;
//        }
//        return false;
//    }
//}
