package cn.haliaeetus.sendmessage.service.impl;

import cn.haliaeetus.sendmessage.bean.basedata.StoreStaff;
import cn.haliaeetus.sendmessage.dao.StoreStaffDao;
import cn.haliaeetus.sendmessage.service.StoreStaffService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StoreStaffServiceImpl implements StoreStaffService {
	@Autowired
	private StoreStaffDao staffDao;

    public int insert(StoreStaff staff) {
        return staffDao.insert(staff);
    }
    
    @Override
    public List<StoreStaff> getByStoreId(int storeId) {
		
		List<StoreStaff> list = staffDao.getByStoreId(storeId);
		
		return list;
	}

    @Override
    public int deleteByIds(String ids) {
        return staffDao.deleteIn(ids);
    }

    @Override
    public StoreStaff getById(String id) {
        return staffDao.getById(id);
    }
}
