package cn.haliaeetus.sendmessage.utils.ALBB;

import lombok.Builder;
import lombok.Data;

import java.util.Map;

/**
 * @ClassName
 * @Description
 * @Author liujs
 * @Date 2019/10/16 下午 19:54
 * @Modefy
 * @Version 1.0
 */
@Data
@Builder
public class ALBBSendSmsRequest {
    /**
     * alibb发送短信请求地址
     */
    private String url;
    /**
     * 访问密钥 ID
     */
    private String accessKeyId;
    /**
     * API 的名称
     */
    private String action;
    /**
     * 访问密钥
     */
    private String appSecret;
    /**
     * API 的版本号(格式为 YYYY-MM-DD  取值范围：2017-05-25)
     */
    private String version;
    /**
     * 发送短信的电话号码
     */
    private String phoneNumbers;
    /**
     * 短信签名
     */
    private String signName;
    /**
     * 短信模板码
     */
    private String templateCode;
    /**
     * 短信模板内容参数
     */
    private Map<String,String> templateParam;

}
