package cn.haliaeetus.sendmessage.utils.Zhongtong;

import cn.haliaeetus.sendmessage.framework.factory.express.realize.ZhongTongExpress;
import cn.haliaeetus.sendmessage.service.BasicInfoService;
import com.google.common.base.Strings;
import lombok.extern.slf4j.Slf4j;

/**
 * @ClassName GetZhongTongSysParam
 * @Description TODO
 * @Author Administrator
 * @Date 2019/9/4 0004 下午 15:08
 * @Version 1.0
 **/
@Slf4j
public class GetZhongTongSysParam {

    private boolean myResult;
    private String url;
    private String zhongtongUrl;
    private String companyId;
    private String key;

    public boolean is() {
        return myResult;
    }

    public String getUrl() {
        return url;
    }

    public String getZhongtongUrl() {
        return zhongtongUrl;
    }

    public String getCompanyId() {
        return companyId;
    }

    public String getKey() {
        return key;
    }

    public GetZhongTongSysParam invoke(BasicInfoService basicInfoService) {
        url = basicInfoService.getConfigurationByCode("signbackUrl").getOValue1();
        zhongtongUrl = basicInfoService.getConfigurationByCode("zhongtongSignbackUrl").getOValue1();
        if(Strings.isNullOrEmpty(url)){
            log.error("signbackUrl未配置");
            myResult = true;
            return this;
        }
        if(Strings.isNullOrEmpty(zhongtongUrl)){
            log.error("zhongtongSignbackUrl未配置");
            myResult = true;
            return this;
        }
        companyId = basicInfoService.getConfigurationByCode("zhongtongCompanyId").getOValue1();
        key = basicInfoService.getConfigurationByCode("zhongtongKey").getOValue1();
        if(Strings.isNullOrEmpty(companyId)){
            log.error("zhongtongCompanyId未配置");
            myResult = true;
            return this;
        }
        if(Strings.isNullOrEmpty(key)){
            log.error("zhongtongKey未配置");
            myResult = true;
            return this;
        }
        myResult = false;
        return this;
    }
}
