package cn.haliaeetus.sendmessage.utils.Zhongtong;

import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName ZhongTongBackRequest
 * @Description TODO
 * @Author Administrator
 * @Date 2019/8/27 0027 下午 15:59
 * @Version 1.0
 **/
@Data
@Builder
public class ZhongTongBackRequest extends ZhongTongRequest{
    /**
     * 运单号
     */
    private String billCode;
    /**
     * 状态:寄件：PRIORA-寄件进站； PRIORD-寄件出站； PRIOR_EXC-寄件异常出站
     *     派件：ARRIVAL-派件进站； SIGNED-派件出站； DEPARTURE-派件异常出站
     */
    private String status;
    /**
     * 状态发生时间
     */
    private Date staDate;
    /**
     * 品牌编号
     */
    private String comCode;
    /**
     * 品牌名称
     */
    private String comName;
    /**
     * 代理点名称
     */
    private String hallName;
    /**
     * 代理点编号
     */
    private String hallCode;
    /**
     * 代理点负责人电话
     */
    private String manOph;
    /**
     * 代理点省
     */
    private String hallProv;
    /**
     * 代理点市
     */
    private String hallCity;
    /**
     * 代理点区
     */
    private String hallCounty;
    /**
     * 代理点详细地址
     */
    private String hallAddress;
    /**
     * 业务员
     */
    private String deliverName;
    /**
     * 业务员编号
     */
    private String deliverCode;
    /**
     * 业务员电话
     */
    private String deliverPhone;
    /**
     * 收件人
     */
    private String signMan;
    /**
     * 收件人手机号码
     */
    private String resMobile;
    /**
     * 取件码
     */
    private String pickCode;
    /**
     * 收件人省
     */
    private String signManProv;
    /**
     * 收件人市
     */
    private String signManCity;
    /**
     * 收件人区
     */
    private String signCounty;
    /**
     * 收件人详细地址
     */
    private String signManAddress;
    /**
     * 支付类型：NOPAY-未支付 ；ONLINE-在线支付 ；CASH-现金支付； POS-POS刷卡支付
     */
    private String payType;
    /**
     * 金额（单位：元）
     */
    private String payMoney;
    /**
     * 异常类型（传值为对应的编号 例：“1”）
     *     寄件异常出站：0-客户取消寄件 ； 1-代理点管理员出站 （转单）；2-换单取消； 3-不符合中通寄件标准
     *     派件异常出站：0-业务员取出；1-代理点管理员取；2-客户拒收
     */
    private String excType;
    /**
     * 合作商订单号
     */
    private String partnerCode;
    /**
     * 寄件取消原因
     */
    private String remark;
}
