package cn.haliaeetus.sendmessage.utils.Zhongtong;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发送短信<br>
 *
 * @className: ZtoSendSmsRequest
 * @package: cn.haliaeetus.sendmessage.utils.Zhongtong
 * @author: kael
 * @date: 2020/1/8 9:23 上午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
public class ZtoSendSmsRequest extends ZhongTongRequest{

    /**
     * billCode : 890900133300
     * companyCode : 88888888
     * hallCode :  6666
     * mobile : 13266666666
     * name : 王先生
     * sendCode : 098890
     */

    private String billCode;
    private String companyCode;
    private String hallCode;
    private String mobile;
    private String name;
    private String sendCode;

}
